robotpkg/wip bulk build results

Log for Ubuntu-12.04-i386 (Back)

--- Syncing bulk database ---------------------------------------- setting Ubuntu-12.04-i386 as running --- Updating robotpkg -------------------------------------------- Pulling /local/robotpkg/var/lib/robotpkg/wip HEAD is now at 48f0239 [wip/prf-gazebo-ros-pkgs] Replace dependency on ros-robot-model Updating pkgtools/pkg_install ===> Updating for pkg_install-20110805.9 pkg_install-20110805.9 is already installed and up-to-date. Updating pkgtools/rbulkit ===> Updating for rbulkit-20180807 rbulkit-20180807 is already installed and up-to-date. Updating pkgtools/pkgrepo2deb ===> Updating for pkgrepo2deb-1.4 pkgrepo2deb-1.4 is already installed and up-to-date. --- Running build for bulk-rbulk-wip ------------------------------- ===> Sorting packages for rbulk wip set Scanning wip/libmove3d-hri:* Scanning wip/sot-torque-control:* Scanning wip/prf-gazebo-ros-pkgs:* Scanning pkgtools/tnftp:tnftp>=20130505~ssl Scanning wip/head-action:* Scanning wip/orocos-dot_service:* Scanning wip/certi:* Scanning wip/gdalwrap:* Scanning wip/mumps:* Scanning wip/metapod:* [wip/metapod:*] Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. [wip/metapod:*] Warning: use DYNAMIC_PLIST_DIRS instead. Scanning wip/sot-pattern-generator-v3:* Scanning wip/jsbsim:* Scanning wip/dptu-genom3:* Scanning wip/ros-swri-serial-util:* Scanning wip/ros-swri-string-util:* Scanning wip/can-utils:* Scanning wip/pal-gazebo-plugins:* Scanning wip/tf-lookup:* Scanning wip/ros-swri-math-util:* Scanning wip/hrp2-computer-monitor:* Scanning wip/hrp2-14-description:* Scanning wip/FRILibrary:* Scanning wip/py-sot-tools-v3:* Scanning wip/sot-talos:* Scanning wip/sot-dyninv:* Scanning wip/pal-hardware-gazebo:* Scanning wip/hrp2-dev:* Scanning wip/jrl-walkgen-v3:* Scanning wip/pal-transmissions:* Scanning wip/py-hla:* Scanning wip/py-example-adder:* Scanning wip/ompl:* Scanning wip/pyrene-motions:* Scanning wip/infuse-asn1-types:* Scanning wip/move3d-studio:* Scanning wip/talos-data:* Scanning wip/backward-ros:* Scanning wip/sot-hrp2-v3:* Scanning wip/move3d-assets:* Scanning wip/ros-swri-nodelet:* Scanning wip/sot-tools-v3:* Scanning wip/morse-hla:* Scanning wip/py-dynamic-graph-bridge-v3:* Scanning wip/pal-hardware-interfaces:* Scanning wip/hrp2-bringup:* Scanning wip/gerard-bauzil:* Scanning wip/urg:* Scanning wip/dynamic-graph-v3:* Scanning wip/py-dynamic-graph-tutorial:* Scanning wip/spark-genom:* Scanning wip/talos-metapkg-ros-control-sot:* Scanning wip/histodet:* Scanning wip/octovis:* Scanning wip/py-sot-dynamic-pinocchio-v3:* Scanning wip/rqt-dynamic-graph:* Scanning wip/openhrp3-hrp2:* Scanning wip/py-sot-dyninv-v3:* Scanning wip/talos-simulation:* Scanning wip/prf-ros-controllers:* Scanning wip/py-morse:* Scanning wip/simple-humanoid-description:* Scanning wip/infuse-envire:* Scanning wip/py-sot-application-v3:* Scanning wip/soth:* Scanning wip/infuse-novatel-gps-driver-ros:* Scanning wip/libmove3d-planners:* Scanning wip/infuse-idl:* Scanning wip/ros-swri-roscpp:* Scanning wip/roscontrol-sot:* Scanning wip/play-motion:* Scanning wip/tsid:* Scanning wip/orocos-bfl:* Scanning wip/sot-dynamic-pinocchio-v3:* Scanning wip/py-mraa:* Scanning wip/osg-dae:* Scanning wip/sot-dyninv-v3:* Scanning wip/py-jsbsim:* Scanning wip/dynamic-introspection:* Scanning wip/msgconnector:* Scanning wip/lua-rfsm:* Scanning wip/py-sot-core-v3:* Scanning wip/py-parametric-curves:* Scanning wip/roralink:* Scanning wip/talos-dev:* Scanning wip/morse-mavlink:* Scanning wip/sot-hrp2:* Scanning wip/antlr2:* Scanning wip/pal-msgs:* Scanning wip/parametric-curves:* Scanning wip/example-adder:* Scanning wip/talos-moveit-config:* Scanning wip/ur5-description:* [wip/ur5-description:*] Warning: the LICENSE of wip/ur5-description is undefined. Scanning wip/orocos-yarp_transport:* Scanning middleware/orocos-rtt:orocos-rtt>=2.5 Scanning wip/infuse-asn1-conversions:* Scanning wip/infuse-msgs-ros:* Scanning wip/talos-robot:* Scanning wip/tiago-robot:* Scanning wip/libmove3d:* Scanning wip/py-sot-torque-control:* Scanning wip/mavlink:* Scanning wip/pal-gazebo-worlds:* Scanning wip/morse-ros:* Scanning wip/hrp2-machine:* Scanning wip/openhrp3-simulator-wo-rtm:* Scanning wip/py-sot-pattern-generator-v3:* Scanning wip/prf-roboticsgroup-gazebo-plugins:* Scanning wip/sot-core-v3:* Scanning wip/eigen-quadprog:* Scanning wip/dynamic-graph-tutorial:* Scanning wip/prf-ros-control:* Scanning wip/py-mavlink:* Scanning wip/libnabo:* Scanning wip/py-dynamic-graph-v3:* Scanning wip/hatponboard-lib:* Scanning wip/libhatp:* Scanning wip/py-dynamic-graph-v3:py36-dynamic-graph-v3-3.1.0 Scanning wip/py-dynamic-graph-v3:py35-dynamic-graph-v3-3.1.0 Scanning wip/py-dynamic-graph-v3:py34-dynamic-graph-v3-3.1.0 Scanning wip/py-dynamic-graph-v3:py32-dynamic-graph-v3-3.1.0 Scanning wip/py-mavlink:py36-mavlink-1.1.62 Scanning wip/py-mavlink:py35-mavlink-1.1.62 Scanning wip/py-mavlink:py34-mavlink-1.1.62 Scanning wip/py-mavlink:py32-mavlink-1.1.62 Scanning wip/py-sot-pattern-generator-v3:py36-sot-pattern-generator-v3-3.1.0 Scanning wip/py-sot-pattern-generator-v3:py35-sot-pattern-generator-v3-3.1.0 Scanning wip/py-sot-pattern-generator-v3:py34-sot-pattern-generator-v3-3.1.0 Scanning wip/py-sot-pattern-generator-v3:py32-sot-pattern-generator-v3-3.1.0 Scanning wip/py-sot-torque-control:py36-sot-torque-control-1.1.0 Scanning wip/py-sot-torque-control:py35-sot-torque-control-1.1.0 Scanning wip/py-sot-torque-control:py34-sot-torque-control-1.1.0 Scanning wip/py-sot-torque-control:py32-sot-torque-control-1.1.0 Scanning wip/py-parametric-curves:py36-parametric-curves-1.2.0 Scanning wip/py-parametric-curves:py35-parametric-curves-1.2.0 Scanning wip/py-parametric-curves:py34-parametric-curves-1.2.0 Scanning wip/py-parametric-curves:py32-parametric-curves-1.2.0 Scanning wip/py-sot-core-v3:py36-sot-core-v3-3.2.0r1 Scanning wip/py-sot-core-v3:py35-sot-core-v3-3.2.0r1 Scanning wip/py-sot-core-v3:py34-sot-core-v3-3.2.0r1 Scanning wip/py-sot-core-v3:py32-sot-core-v3-3.2.0r1 Scanning wip/py-jsbsim:py36-jsbsim-20150424r1 Scanning wip/py-jsbsim:py35-jsbsim-20150424r1 Scanning wip/py-jsbsim:py34-jsbsim-20150424r1 Scanning wip/py-jsbsim:py32-jsbsim-20150424r1 Scanning wip/py-sot-application-v3:py36-sot-application-v3-1.2.0r2 Scanning wip/py-sot-application-v3:py35-sot-application-v3-1.2.0r2 Scanning wip/py-sot-application-v3:py34-sot-application-v3-1.2.0r2 Scanning wip/py-sot-application-v3:py32-sot-application-v3-1.2.0r2 Scanning wip/py-morse:py36-morse-1.4 Scanning wip/py-morse:py35-morse-1.4 Scanning wip/py-morse:py34-morse-1.4 Scanning wip/py-sot-dyninv-v3:py36-sot-dyninv-v3-3.1.0r1 Scanning wip/py-sot-dyninv-v3:py35-sot-dyninv-v3-3.1.0r1 Scanning wip/py-sot-dyninv-v3:py34-sot-dyninv-v3-3.1.0r1 Scanning wip/py-sot-dyninv-v3:py32-sot-dyninv-v3-3.1.0r1 Scanning wip/rqt-dynamic-graph:py36-rqt-dynamic-graph-1.0.0 Scanning wip/rqt-dynamic-graph:py35-rqt-dynamic-graph-1.0.0 Scanning wip/rqt-dynamic-graph:py34-rqt-dynamic-graph-1.0.0 Scanning wip/rqt-dynamic-graph:py32-rqt-dynamic-graph-1.0.0 Scanning wip/py-sot-dynamic-pinocchio-v3:py36-sot-dynamic-pinocchio-v3-3.2.2r1 Scanning wip/py-sot-dynamic-pinocchio-v3:py35-sot-dynamic-pinocchio-v3-3.2.2r1 Scanning wip/py-sot-dynamic-pinocchio-v3:py34-sot-dynamic-pinocchio-v3-3.2.2r1 Scanning wip/py-sot-dynamic-pinocchio-v3:py32-sot-dynamic-pinocchio-v3-3.2.2r1 Scanning wip/py-dynamic-graph-tutorial:py36-dynamic-graph-tutorial-1.1.1 Scanning wip/py-dynamic-graph-tutorial:py35-dynamic-graph-tutorial-1.1.1 Scanning wip/py-dynamic-graph-tutorial:py34-dynamic-graph-tutorial-1.1.1 Scanning wip/py-dynamic-graph-tutorial:py32-dynamic-graph-tutorial-1.1.1 Scanning wip/py-dynamic-graph-bridge-v3:py36-dynamic-graph-bridge-v3-3.1.1r4 Scanning wip/py-dynamic-graph-bridge-v3:py35-dynamic-graph-bridge-v3-3.1.1r4 Scanning wip/py-dynamic-graph-bridge-v3:py34-dynamic-graph-bridge-v3-3.1.1r4 Scanning wip/py-dynamic-graph-bridge-v3:py32-dynamic-graph-bridge-v3-3.1.1r4 Scanning wip/py-example-adder:py36-example-adder-1.0.0 Scanning wip/py-example-adder:py35-example-adder-1.0.0 Scanning wip/py-example-adder:py34-example-adder-1.0.0 Scanning wip/py-example-adder:py32-example-adder-1.0.0 Scanning wip/py-hla:py36-hla-1.1.1r1 Scanning wip/py-hla:py35-hla-1.1.1r1 Scanning wip/py-hla:py34-hla-1.1.1r1 Scanning wip/py-hla:py32-hla-1.1.1r1 Scanning wip/py-sot-tools-v3:py36-sot-tools-v3-2.1.0 Scanning wip/py-sot-tools-v3:py35-sot-tools-v3-2.1.0 Scanning wip/py-sot-tools-v3:py34-sot-tools-v3-2.1.0 Scanning wip/py-sot-tools-v3:py32-sot-tools-v3-2.1.0 Scanning wip/dptu-genom3:dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning wip/dptu-genom3:dptu-genom3-0.2~pocolibs-client-c+codels+openprs+pocolibs-server+!* Scanned 290 packages (251 unique) [23%] Processing wip/mavlink:mavlink-20150929 ===> Cleaning temporary files for mavlink-20150929 ===> Bulk building for mavlink-20150929 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package git>=1.6: git-1.7.9.5 found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package python27>=2.7<2.8: python27-2.7.3 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for mavlink-20150929 => Compiling python files => Registering installation for mavlink-20150929 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for mavlink-20150929 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for mavlink-20150929 ===> Done bulk for mavlink-20150929 [23%] Processing wip/libmove3d:libmove3d-3.22.0r1 ===> Cleaning temporary files for libmove3d-3.22.0r1 ===> Bulk building for libmove3d-3.22.0r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/gbM-0.11~tcl.tgz WARNING: Cannot check installed version of glpk WARNING: Cannot check installed version of libXpm => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/softMotion-libs-3.12~debug+tcl.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package freeglut: freeglut found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package glib2>=2.20: glib2-2.32.4 found => Required system package glpk>=4.36: glpk found => Required system package glu>=7: glu-8.0.4 found => Required system package gsl>=1: gsl-1.15 found => Required system package gts>=0.7: gts-0.7.6 found => Required system package libXpm>=3.5.7: libXpm found => Required system package libstdc++: libstdc++ found => Required system package libxml2>=2: libxml2-2.7.8 found => Required system package qhull: qhull found WARNING: Cannot check installed version of glpk WARNING: Cannot check installed version of libXpm => Required robotpkg package gbM>=0.9: gbM-0.11~tcl found => Required robotpkg package softMotion-libs>=3.10: softMotion-libs-3.12~debug+tcl found => SHA1 checksums OK => RMD160 checksums OK => Registering installation for libmove3d-3.22.0r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for libmove3d-3.22.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for libmove3d-3.22.0r1 ===> Done bulk for libmove3d-3.22.0r1 [23%] Processing wip/morse-ros:morse-ros-1.4 ===> Cleaning temporary files for morse-ros-1.4 ===> Bulk building for morse-ros-1.4 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for morse-ros-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for morse-ros-1.4 ===> Done bulk for morse-ros-1.4 [24%] Processing wip/openhrp3-simulator-wo-rtm:openhrp3-simulator-wo-rtm-1.2.0 ===> Cleaning temporary files for openhrp3-simulator-wo-rtm-1.2.0 ===> Bulk building for openhrp3-simulator-wo-rtm-1.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Required robotpkg package gepetto-viewer>=2.1.2: NOT found ERROR: Required robotpkg package gepetto-viewer>=2.1.2: NOT found => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for openhrp3-simulator-wo-rtm-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for openhrp3-simulator-wo-rtm-1.2.0 ===> Done bulk for openhrp3-simulator-wo-rtm-1.2.0 [24%] Processing wip/hrp2-machine:hrp2-machine-1.0.2 ===> Cleaning temporary files for hrp2-machine-1.0.2 ===> Bulk building for hrp2-machine-1.0.2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for hrp2-machine-1.0.2 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Updating debian binary packages WARNING: hrp2-machine-1.0.2 may not be publicly available: WARNING: Redistribution of repackaged binaries not permitted ===> Logging bulk summary for hrp2-machine-1.0.2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hrp2-machine-1.0.2 ===> Done bulk for hrp2-machine-1.0.2 [25%] Processing wip/eigen-quadprog:eigen-quadprog-1.0.0 ===> Cleaning temporary files for eigen-quadprog-1.0.0 ===> Bulk building for eigen-quadprog-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use the GNU fortran compiler: fortran-compiler provided by => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package gcc-fortran>=3: gcc-fortran-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | [ 83%] Building Fortran object src/CMakeFiles/eigen-quadprog.dir/BLAS/f/blas.f.o | cd /local/robotpkg/var/tmp/robotpkg/wip/eigen-quadprog/work/eigen-quadprog-1.0.0/src && /usr/bin/gfortran -Deigen_quadprog_EXPORTS -DEIGEN_QUADPROG_EXPORT -O3 -fPIC -I/local/robotpkg/var/tmp/robotpkg/wip/eigen-quadprog/work/eigen-quadprog-1.0.0 -I/local/robotpkg/var/tmp/robotpkg/wip/eigen-quadprog/work/eigen-quadprog-1.0.0/include -isystem /usr/include/eigen3 -c /local/robotpkg/var/tmp/robotpkg/wip/eigen-quadprog/work/eigen-quadprog-1.0.0/src/BLAS/f/blas.f -o CMakeFiles/eigen-quadprog.dir/BLAS/f/blas.f.o | In file included from /local/robotpkg/var/tmp/robotpkg/wip/eigen-quadprog/work/eigen-quadprog-1.0.0/src/QuadProg.h:21:0, | from /local/robotpkg/var/tmp/robotpkg/wip/eigen-quadprog/work/eigen-quadprog-1.0.0/src/QuadProg.cpp:17: | /usr/include/eigen3/Eigen/Sparse:19:2: error: #error The sparse module API is not stable yet. To use it anyway, please define the EIGEN_YES_I_KNOW_SPARSE_MODULE_IS_NOT_STABLE_YET preprocessor token. | make[2]: *** [src/CMakeFiles/eigen-quadprog.dir/QuadProg.cpp.o] Error 1 | make[2]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/eigen-quadprog/work/eigen-quadprog-1.0.0' | make[1]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/eigen-quadprog/work/eigen-quadprog-1.0.0' | make[1]: *** [src/CMakeFiles/eigen-quadprog.dir/all] Error 2 | make: *** [all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/eigen-quadprog/work/build.log make[3]: *** [do-build] Error 2 make[2]: *** [pkg-check-installed] Error 2 => Marking eigen-quadprog-1.0.0 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for eigen-quadprog-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for eigen-quadprog-1.0.0 ===> Done bulk for eigen-quadprog-1.0.0 [26%] Processing wip/py-mavlink:py34-mavlink-1.1.62 ===> Cleaning temporary files for py34-mavlink-1.1.62 ===> Bulk building for py34-mavlink-1.1.62 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-mavlink-1.1.62 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-mavlink-1.1.62 ===> Done bulk for py34-mavlink-1.1.62 [26%] Processing wip/py-mavlink:py27-mavlink-1.1.62 ===> Cleaning temporary files for py27-mavlink-1.1.62 ===> Bulk building for py27-mavlink-1.1.62 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package git>=1.6: git-1.7.9.5 found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package gcc>=3: gcc-4.6 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => SHA1 checksums OK => RMD160 checksums OK => Compiling python files => Registering installation for py27-mavlink-1.1.62 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: Directory `/opt/openrobots/share/mavlink' disappeared, skipping ===> Logging bulk summary for py27-mavlink-1.1.62 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-mavlink-1.1.62 ===> Done bulk for py27-mavlink-1.1.62 [27%] Processing wip/py-mavlink:py32-mavlink-1.1.62 ===> Cleaning temporary files for py32-mavlink-1.1.62 ===> Bulk building for py32-mavlink-1.1.62 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package git>=1.6: git-1.7.9.5 found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.2: python>=2.5<3.7 provided by python32>=3.2<3.3 => Required system package gcc>=3: gcc-4.6 found => Required system package python32>=3.2<3.3: python32-3.2.3 found => SHA1 checksums OK => RMD160 checksums OK => Compiling python files File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__init__.py", line 81 raise AttributeError, "Unknown XML interface: %s" %(xmlIf) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlif4Dom.py", line 58 print "Using 4Dom interface module..." ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlifApi.py", line 370 raise AttributeError, "Attribute %s not found!" %(repr(tupleOrAttrName)) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlifDom.py", line 69 print "Xinclude: %s" %href ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlifElementTree.py", line 72 print "Using elementtree interface module..." ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlifMinidom.py", line 63 print "Using minidom interface module..." ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlifUtils.py", line 193 raise LookupError, "Prefix for namespaceURI '%s' not found!" % (ns) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmliftest.py", line 12 print xmlTree.printTree(prettyPrint=1) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/minixsvWrapper.py", line 36 print validSyntaxText ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/pyxsval.py", line 93 raise KeyError, "xmlIfKey %s already implemented!" %(xmlIfKey) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/xsvalBase.py", line 135 except TagException, errInst: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/xsvalErrorHandler.py", line 122 print string.join (self.infoDict.keys(), "n") ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/xsvalSchema.py", line 431 except TagException, errInst: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/xsvalSimpleTypes.py", line 78 except BaseTypeError, errstr: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/xsvalUtils.py", line 48 r"Cc" : ur"x00-x1fx7f-x9f", ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__init__.py", line 81 raise AttributeError, "Unknown XML interface: %s" %(xmlIf) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlif4Dom.py", line 58 print "Using 4Dom interface module..." ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlifApi.py", line 370 raise AttributeError, "Attribute %s not found!" %(repr(tupleOrAttrName)) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlifDom.py", line 69 print "Xinclude: %s" %href ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlifElementTree.py", line 72 print "Using elementtree interface module..." ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlifMinidom.py", line 63 print "Using minidom interface module..." ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmlifUtils.py", line 193 raise LookupError, "Prefix for namespaceURI '%s' not found!" % (ns) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/xmliftest.py", line 12 print xmlTree.printTree(prettyPrint=1) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/minixsvWrapper.py", line 36 print validSyntaxText ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/pyxsval.py", line 93 raise KeyError, "xmlIfKey %s already implemented!" %(xmlIfKey) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/xsvalBase.py", line 135 except TagException, errInst: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/xsvalErrorHandler.py", line 122 print string.join (self.infoDict.keys(), "n") ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/xsvalSchema.py", line 431 except TagException, errInst: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/xsvalSimpleTypes.py", line 78 except BaseTypeError, errstr: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/xsvalUtils.py", line 48 r"Cc" : ur"x00-x1fx7f-x9f", ^ SyntaxError: invalid syntax robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/mavnative.so' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-32.pyo' => Registering installation for py32-mavlink-1.1.62 robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/mavnative.so' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-32.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py32-mavlink-1.1.62: File `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-32.pyo' is in +CONTENTS but not on filesystem! robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/mavnative.so' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-32.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-32.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-32.pyo' robotpkg_create: lstat failed for file lib/python3.2/site-packages/mavnative.so: No such file or directory make[3]: *** [pkg-tarup] Error 2 => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pal => Updating debian binary packages make[2]: *** [package-failed] Error 2 => Marking py32-mavlink-1.1.62 as broken ERROR: make: *** [package] Error 2 robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/mavnative.so robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-32.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-32.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.2/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-32.pyo robotpkg_delete: Directory `/opt/openrobots/share/mavlink' disappeared, skipping ===> Logging bulk summary for py32-mavlink-1.1.62 => Checking leftover files WARNING: 1 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-mavlink-1.1.62 ===> Done bulk for py32-mavlink-1.1.62 [27%] Processing wip/py-mavlink:py35-mavlink-1.1.62 ===> Cleaning temporary files for py35-mavlink-1.1.62 ===> Bulk building for py35-mavlink-1.1.62 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-mavlink-1.1.62 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-mavlink-1.1.62 ===> Done bulk for py35-mavlink-1.1.62 [27%] Processing wip/py-mavlink:py36-mavlink-1.1.62 ===> Cleaning temporary files for py36-mavlink-1.1.62 ===> Bulk building for py36-mavlink-1.1.62 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-mavlink-1.1.62 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-mavlink-1.1.62 ===> Done bulk for py36-mavlink-1.1.62 [28%] Processing wip/prf-ros-control:prf-ros-control-0.2.6r3 ===> Cleaning temporary files for prf-ros-control-0.2.6r3 ===> Bulk building for prf-ros-control-0.2.6r3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed WARNING: Cannot check installed version of py-rospkg => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy ros>=hydro provided by ros-hydro => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package py27-rospkg>=1.0.29: py27-rospkg found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-actionlib>=1.10<1.11: ros-actionlib-1.10.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-class-loader>=0.2<0.3: ros-class-loader-0.2.5 found => Required system package ros-cmake-modules>=0.3: ros-cmake-modules-0.3.3 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-control-toolbox>=1.10<1.13: ros-control-toolbox-1.10.4 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-geometry>=1.10<1.11: ros-geometry-1.10.8 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-pluginlib>=1.9<1.10: ros-pluginlib-1.9.24 found => Required system package ros-resource-retriever>=1.10<1.11: ros-resource-retriever-1.10.21 found => Required system package ros-ros>=1.10<1.11: ros-ros-1.10.11 found => Required system package ros-rqt>=0.2<0.3: ros-rqt-0.2.14 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required system package ros-urdf>=1.10<1.11: ros-urdf-1.10.21 found WARNING: Cannot check installed version of py-rospkg => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for prf-ros-control-0.2.6r3 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for prf-ros-control-0.2.6r3 => Checking leftover files WARNING: 8 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for prf-ros-control-0.2.6r3 ===> Done bulk for prf-ros-control-0.2.6r3 [30%] Processing wip/libhatp:libhatp-1.3.0 ===> Cleaning temporary files for libhatp-1.3.0 ===> Bulk building for libhatp-1.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => SHA1 checksums OK => RMD160 checksums OK => Registering installation for libhatp-1.3.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for libhatp-1.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for libhatp-1.3.0 ===> Done bulk for libhatp-1.3.0 [32%] Processing wip/libmove3d-hri:libmove3d-hri-2.24 ===> Cleaning temporary files for libmove3d-hri-2.24 ===> Bulk building for libmove3d-hri-2.24 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/libmove3d-3.22.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/gbM-0.11%7etcl.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/softMotion-libs-3.12%7edebug+tcl.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package gsl>=1: gsl-1.15 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required robotpkg package libmove3d>=3.22.0: libmove3d-3.22.0r1 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for libmove3d-hri-2.24 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for libmove3d-hri-2.24 => Checking leftover files WARNING: 1 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for libmove3d-hri-2.24 ===> Done bulk for libmove3d-hri-2.24 [32%] Processing wip/prf-gazebo-ros-pkgs:prf-gazebo-ros-pkgs-2.6.7r4 ===> Cleaning temporary files for prf-gazebo-ros-pkgs-2.6.7r4 ===> Bulk building for prf-gazebo-ros-pkgs-2.6.7r4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/prf-ros-control-0.2.6r3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy ros>=hydro provided by ros-hydro => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gazebo>=1: gazebo-1.9.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libogre>=1.0: libogre-1.7.4 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-actionlib>=1.10<1.11: ros-actionlib-1.10.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-class-loader>=0.2<0.3: ros-class-loader-0.2.5 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-control-toolbox>=1.10<1.13: ros-control-toolbox-1.10.4 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-geometry>=1.10<1.11: ros-geometry-1.10.8 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-pluginlib>=1.9<1.10: ros-pluginlib-1.9.24 found => Required system package ros-ros>=1.10<1.11: ros-ros-1.10.11 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required system package ros-urdf>=1.10<1.11: ros-urdf-1.10.21 found => Required robotpkg package prf-ros-control>=0.2: prf-ros-control-0.2.6r3 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | /local/robotpkg/var/tmp/robotpkg/wip/prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-2.6.7/gazebo_plugins/src/gazebo_ros_block_laser.cpp:398:26: error: expected ';' before 'pose' | /local/robotpkg/var/tmp/robotpkg/wip/prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-2.6.7/gazebo_plugins/src/gazebo_ros_block_laser.cpp:399:3: error: 'pose' was not declared in this scope | make[2]: *** [gazebo_plugins/CMakeFiles/MultiCameraPlugin.dir/src/MultiCameraPlugin.cpp.o] Error 1 | make[2]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-2.6.7/build' | make[1]: *** [gazebo_plugins/CMakeFiles/MultiCameraPlugin.dir/all] Error 2 | make[2]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-2.6.7/build' | make[1]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-2.6.7/build' | make[2]: *** [gazebo_plugins/CMakeFiles/gazebo_ros_block_laser.dir/src/gazebo_ros_block_laser.cpp.o] Error 1 | make[1]: *** [gazebo_plugins/CMakeFiles/gazebo_ros_block_laser.dir/all] Error 2 | make: *** [all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/prf-gazebo-ros-pkgs/work/build.log make[3]: *** [do-build] Error 2 make[2]: *** [pkg-check-installed] Error 2 => Marking prf-gazebo-ros-pkgs-2.6.7r4 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for prf-gazebo-ros-pkgs-2.6.7r4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for prf-gazebo-ros-pkgs-2.6.7r4 ===> Done bulk for prf-gazebo-ros-pkgs-2.6.7r4 [33%] Processing wip/head-action:head-action-0.0.1r3 ===> Cleaning temporary files for head-action-0.0.1r3 ===> Bulk building for head-action-0.0.1r3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/orocos-kdl-1.3.0.tgz => Required system package tinyxml2>=2: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for head-action-0.0.1r3: ERROR: ERROR: tinyxml2>=2 (Ubuntu package libtinyxml2-dev) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/head-action/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for head-action-0.0.1r3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for head-action-0.0.1r3 ===> Done bulk for head-action-0.0.1r3 [33%] Processing wip/certi:certi-3.5.1 ===> Cleaning temporary files for certi-3.5.1 ===> Bulk building for certi-3.5.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Required system package cmake>=2.8.11: MISSING => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for certi-3.5.1: ERROR: ERROR: cmake>=2.8.11 ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/certi/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for certi-3.5.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for certi-3.5.1 ===> Done bulk for certi-3.5.1 [33%] Processing wip/gdalwrap:gdalwrap-0.1.10 ===> Cleaning temporary files for gdalwrap-0.1.10 ===> Bulk building for gdalwrap-0.1.10 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Required system package gdal>=1.6: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for gdalwrap-0.1.10: ERROR: ERROR: gdal>=1.6 (Ubuntu package libgdal1-dev) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/gdalwrap/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for gdalwrap-0.1.10 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for gdalwrap-0.1.10 ===> Done bulk for gdalwrap-0.1.10 [34%] Processing wip/mumps:mumps-4.10.0 ===> Cleaning temporary files for mumps-4.10.0 ===> Bulk building for mumps-4.10.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use the GNU fortran compiler: fortran-compiler provided by => Required system package autoconf>=2.59: autoconf-2.68 found => Required system package automake>=1.8: automake-1.11.3 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package gcc-fortran>=4: gcc-fortran-4.6 found => Required system package gm4>=1.4: gm4-1.4.16 found => Required system package lapack: lapack found => Required system package libstdc++: libstdc++ found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for mumps-4.10.0 => Running autoreconf in /local/robotpkg/var/tmp/robotpkg/wip/mumps/work => Modifying GNU configure scripts to avoid --recheck => Registering installation for mumps-4.10.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for mumps-4.10.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for mumps-4.10.0 ===> Done bulk for mumps-4.10.0 [34%] Processing wip/metapod:metapod-1.0.10 Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Cleaning temporary files for metapod-1.0.10 ===> Bulk building for metapod-1.0.10 => Checking for clear installation Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-0.26 found Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => SHA1 checksums OK => RMD160 checksums OK Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_humanoid/metapod_license_file.txt' robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_humanoid/simple_humanoid.config' robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_humanoid/simple_humanoid.urdf' robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_arm/metapod_license_file.txt' robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_arm/simple_arm.config' robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_arm/simple_arm.urdf' robotpkg_create: can't stat `/opt/openrobots/bin/metapodfromurdf' => Registering installation for metapod-1.0.10 robotpkg_admin: metapod-1.0.10: File `/opt/openrobots/share/metapod/data/simple_humanoid/metapod_license_file.txt' is in +CONTENTS but not on filesystem! robotpkg_admin: metapod-1.0.10: File `/opt/openrobots/share/metapod/data/simple_humanoid/simple_humanoid.config' is in +CONTENTS but not on filesystem! robotpkg_admin: metapod-1.0.10: File `/opt/openrobots/share/metapod/data/simple_humanoid/simple_humanoid.urdf' is in +CONTENTS but not on filesystem! robotpkg_admin: metapod-1.0.10: File `/opt/openrobots/share/metapod/data/simple_arm/metapod_license_file.txt' is in +CONTENTS but not on filesystem! robotpkg_admin: metapod-1.0.10: File `/opt/openrobots/share/metapod/data/simple_arm/simple_arm.config' is in +CONTENTS but not on filesystem! robotpkg_admin: metapod-1.0.10: File `/opt/openrobots/share/metapod/data/simple_arm/simple_arm.urdf' is in +CONTENTS but not on filesystem! robotpkg_admin: metapod-1.0.10: File `/opt/openrobots/bin/metapodfromurdf' is in +CONTENTS but not on filesystem! Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_humanoid/metapod_license_file.txt' robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_humanoid/simple_humanoid.config' robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_humanoid/simple_humanoid.urdf' robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_arm/metapod_license_file.txt' robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_arm/simple_arm.config' robotpkg_create: can't stat `/opt/openrobots/share/metapod/data/simple_arm/simple_arm.urdf' robotpkg_create: can't stat `/opt/openrobots/bin/metapodfromurdf' robotpkg_create: lstat failed for file share/metapod/data/simple_humanoid/metapod_license_file.txt: No such file or directory make[3]: *** [pkg-tarup] Error 2 Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pal => Updating debian binary packages make[2]: *** [package-failed] Error 2 => Marking metapod-1.0.10 as broken ERROR: make: *** [package] Error 2 Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. robotpkg_delete: Couldn't remove /opt/openrobots/share/metapod/data/simple_humanoid/metapod_license_file.txt robotpkg_delete: Couldn't remove /opt/openrobots/share/metapod/data/simple_humanoid/simple_humanoid.config robotpkg_delete: Couldn't remove /opt/openrobots/share/metapod/data/simple_humanoid/simple_humanoid.urdf robotpkg_delete: Couldn't remove /opt/openrobots/share/metapod/data/simple_arm/metapod_license_file.txt robotpkg_delete: Couldn't remove /opt/openrobots/share/metapod/data/simple_arm/simple_arm.config robotpkg_delete: Couldn't remove /opt/openrobots/share/metapod/data/simple_arm/simple_arm.urdf robotpkg_delete: Couldn't remove /opt/openrobots/bin/metapodfromurdf ===> Logging bulk summary for metapod-1.0.10 => Checking leftover files => Creating bulk log files => Logging bulk metadata Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Cleaning temporary files for metapod-1.0.10 ===> Done bulk for metapod-1.0.10 [35%] Processing wip/jsbsim:jsbsim-20150424 ===> Cleaning temporary files for jsbsim-20150424 ===> Bulk building for jsbsim-20150424 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package cvs>=1: cvs-1.12.138 found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => SHA1 checksums OK => RMD160 checksums OK => Registering installation for jsbsim-20150424 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for jsbsim-20150424 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for jsbsim-20150424 ===> Done bulk for jsbsim-20150424 [35%] Processing wip/dptu-genom3:dptu-genom3-0.2~pocolibs-client-c+codels+openprs+pocolibs-server+!* ===> Cleaning temporary files for dptu-genom3-0.2~codels+openprs+pocolibs-client-c+pocolibs-server ===> Bulk building for dptu-genom3-0.2~codels+openprs+pocolibs-client-c+pocolibs-server => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/genom3-2.99.31.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libedit-3.1r20160903.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/eltclsh-1.17.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/genom3-openprs-1.0.9r5.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openprs-1.1b10.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/transgen3-1.0b5.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/genom3-pocolibs-1.11.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pocolibs-2.17.tgz => Dependency openprs-1.1b10 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openrobots-idl-1.6.tgz => Dependency pocolibs-2.17 already installed => Dependency tnftp-20130505~ssl already installed => Dependency transgen3-1.0b5 already installed => Building with the following options: => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package autoconf>=2.59: autoconf-2.68 found => Required system package automake>=1.8: automake-1.11.3 found => Required system package gcc>=3: gcc-4.6 found => Required system package gm4>=1.4: gm4-1.4.16 found => Required system package libtool>=1.5.22: libtool-2.4.2 found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required robotpkg package genom3>=2.99.31: genom3-2.99.31 found => Required robotpkg package genom3-openprs>=1.0: genom3-openprs-1.0.9r5 found => Required robotpkg package genom3-pocolibs>=1.8: genom3-pocolibs-1.11 found => Required robotpkg package openprs>=1.1b7: openprs-1.1b10 found => Required robotpkg package openrobots-idl>=1.6: openrobots-idl-1.6 found => Required robotpkg package pocolibs>=2.17: pocolibs-2.17 found => Required robotpkg package transgen3>=1.0b2: transgen3-1.0b5 found => SHA1 checksums OK => RMD160 checksums OK => Generating openprs/client => Running autoreconf for openprs/client => Generating pocolibs/client/c => Running autoreconf for pocolibs/client/c => Generating pocolibs/server => Running autoreconf for pocolibs/server => Modifying GNU configure scripts to avoid --recheck => Disabling fatal errors with C++ preprocessor in GNU configure scripts => Adding run-time search paths to pkg-config files => Registering installation for dptu-genom3-0.2~codels+openprs+pocolibs-client-c+pocolibs-server => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for dptu-genom3-0.2~codels+openprs+pocolibs-client-c+pocolibs-server => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for dptu-genom3-0.2~codels+openprs+pocolibs-client-c+pocolibs-server ===> Done bulk for dptu-genom3-0.2~codels+openprs+pocolibs-client-c+pocolibs-server [35%] Processing wip/dptu-genom3:dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Cleaning temporary files for dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server ===> Bulk building for dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/genom3-2.99.31.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libedit-3.1r20160903.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/eltclsh-1.17.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/genom3-openprs-1.0.9r5.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openprs-1.1b10.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/transgen3-1.0b5.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/genom3-ros-1.20.1.tgz => Dependency openprs-1.1b10 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openrobots-idl-1.6.tgz => Dependency tnftp-20130505~ssl already installed => Dependency transgen3-1.0b5 already installed => Building with the following options: => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package autoconf>=2.59: autoconf-2.68 found => Required system package automake>=1.8: automake-1.11.3 found => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package gm4>=1.4: gm4-1.4.16 found => Required system package libstdc++: libstdc++ found => Required system package libtool>=1.5.22: libtool-2.4.2 found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-actionlib>=1.10<1.11: ros-actionlib-1.10.3 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-ros>=1.10<1.11: ros-ros-1.10.11 found => Required system package ros-rospack>=2.1<2.2: ros-rospack-2.1.25 found => Required robotpkg package genom3>=2.99.31: genom3-2.99.31 found => Required robotpkg package genom3-openprs>=1.0: genom3-openprs-1.0.9r5 found => Required robotpkg package genom3-ros>=1.20: genom3-ros-1.20.1 found => Required robotpkg package openprs>=1.1b7: openprs-1.1b10 found => Required robotpkg package openrobots-idl>=1.6: openrobots-idl-1.6 found => Required robotpkg package transgen3>=1.0b2: transgen3-1.0b5 found => SHA1 checksums OK => RMD160 checksums OK => Generating openprs/client => Running autoreconf for openprs/client => Generating ros/client/c => Running autoreconf for ros/client/c => Generating ros/client/ros => Running autoreconf for ros/client/ros => Generating ros/server => Running autoreconf for ros/server => Modifying GNU configure scripts to avoid --recheck => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server ===> Done bulk for dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server [36%] Processing wip/ros-swri-serial-util:ros-swri-serial-util-2.3.0 ===> Cleaning temporary files for ros-swri-serial-util-2.3.0 ===> Bulk building for ros-swri-serial-util-2.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-catkin-0.7.14.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-catkin-pkg-0.4.8.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Please note the following: => Registering installation for ros-swri-serial-util-2.3.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for ros-swri-serial-util-2.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-swri-serial-util-2.3.0 ===> Done bulk for ros-swri-serial-util-2.3.0 [36%] Processing wip/ros-swri-string-util:ros-swri-string-util-2.3.0 ===> Cleaning temporary files for ros-swri-string-util-2.3.0 ===> Bulk building for ros-swri-string-util-2.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-catkin-0.7.14.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-catkin-pkg-0.4.8.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | rostestConfig.cmake | rostest-config.cmake | | | | CMake Error at CMakeLists.txt:21 (add_rostest_gtest): | Unknown CMake command "add_rostest_gtest". | | | -- Configuring incomplete, errors occurred! For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/ros-swri-string-util/work/configure.log make[3]: *** [do-configure-cmake] Error 1 make[2]: *** [pkg-check-installed] Error 2 => Marking ros-swri-string-util-2.3.0 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for ros-swri-string-util-2.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-swri-string-util-2.3.0 ===> Done bulk for ros-swri-string-util-2.3.0 [37%] Processing wip/can-utils:can-utils-2018.02.0 ===> Cleaning temporary files for can-utils-2018.02.0 ===> Bulk building for can-utils-2018.02.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package autoconf>=2.59: autoconf-2.68 found => Required system package automake>=1.8: automake-1.11.3 found => Required system package gcc>=3: gcc-4.6 found => Required system package gm4>=1.4: gm4-1.4.16 found => SHA1 checksums OK => RMD160 checksums OK => Running autoreconf in can-utils-2018.02.0/ => Modifying GNU configure scripts to avoid --recheck => Disabling fatal errors with C++ preprocessor in GNU configure scripts An unexpected error occured. The last 10 log lines are shown below. | /usr/bin/gcc canlogserver.o lib.o -o canlogserver | /tmp/ccYKwG1G.o: In function `millisleep': | canfdtest.c:(.text+0x300): undefined reference to `clock_nanosleep' | collect2: ld returned 1 exit status | make: *** [canfdtest] Error 1 | /usr/bin/gcc jacd.o libj1939.o -o jacd | /usr/bin/gcc jspy.o libj1939.o -o jspy | /usr/bin/gcc jsr.o libj1939.o -o jsr | /usr/bin/gcc testj1939.o libj1939.o -o testj1939 | make: Target `all' not remade because of errors. For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/can-utils/work/build.log make[3]: *** [do-build] Error 2 => Marking can-utils-2018.02.0 as broken make[2]: *** [pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for can-utils-2018.02.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for can-utils-2018.02.0 ===> Done bulk for can-utils-2018.02.0 [37%] Processing wip/tf-lookup:tf-lookup-0.0.1r1 ===> Cleaning temporary files for tf-lookup-0.0.1r1 ===> Bulk building for tf-lookup-0.0.1r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-actionlib>=1.10<1.11: ros-actionlib-1.10.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-geometry>=1.10<1.11: ros-geometry-1.10.8 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for tf-lookup-0.0.1r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for tf-lookup-0.0.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for tf-lookup-0.0.1r1 ===> Done bulk for tf-lookup-0.0.1r1 [37%] Processing wip/ros-swri-math-util:ros-swri-math-util-2.3.0 ===> Cleaning temporary files for ros-swri-math-util-2.3.0 ===> Bulk building for ros-swri-math-util-2.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-catkin-0.7.14.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-catkin-pkg-0.4.8.tgz => Required robotpkg package ros-comm>=1.13<1.15: NOT found ERROR: Required robotpkg package ros-comm>=1.13<1.15: NOT found => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for ros-swri-math-util-2.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-swri-math-util-2.3.0 ===> Done bulk for ros-swri-math-util-2.3.0 [38%] Processing wip/hrp2-computer-monitor:hrp2-computer-monitor-1.0.2 ===> Cleaning temporary files for hrp2-computer-monitor-1.0.2 ===> Bulk building for hrp2-computer-monitor-1.0.2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for hrp2-computer-monitor-1.0.2 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Updating debian binary packages WARNING: hrp2-computer-monitor-1.0.2 may not be publicly available: WARNING: Redistribution of repackaged binaries not permitted ===> Logging bulk summary for hrp2-computer-monitor-1.0.2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hrp2-computer-monitor-1.0.2 ===> Done bulk for hrp2-computer-monitor-1.0.2 [38%] Processing wip/hrp2-14-description:hrp2-14-description-1.0.5 ===> Cleaning temporary files for hrp2-14-description-1.0.5 ===> Bulk building for hrp2-14-description-1.0.5 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/robot-capsule-urdf-1.0.1r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz => Dependency tnftp-20130505~ssl already installed => Dependency urdfdom-0.3.0r2 already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required system package ros-xacro>=1.8<1.9: ros-xacro-1.8.6 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required robotpkg package robot-capsule-urdf>=1.0: robot-capsule-urdf-1.0.1r2 found => Required robotpkg package urdfdom>=0.2.8<1: urdfdom-0.3.0r2 found WARNING: Using urdfdom-0.3.0 in /opt/openrobots WARNING: The following packages may interfere with the build because they WARNING: are located in paths used by other dependencies: WARNING: urdfdom-0.2.10 in /opt/ros/hydro => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for hrp2-14-description-1.0.5 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Updating debian binary packages WARNING: hrp2-14-description-1.0.5 may not be publicly available: WARNING: Redistribution of repackaged binaries not permitted ===> Logging bulk summary for hrp2-14-description-1.0.5 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hrp2-14-description-1.0.5 ===> Done bulk for hrp2-14-description-1.0.5 [39%] Processing wip/FRILibrary:FRILibrary-1.2r1 ===> Cleaning temporary files for FRILibrary-1.2r1 ===> Bulk building for FRILibrary-1.2r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Required system package unzip: unzip found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Required system package g++>=3: g++-4.6 found => Required system package A BSD-compatible install program: install-sh found => Required system package libstdc++: libstdc++ found => Required system package pax and tar archivers: pax found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for FRILibrary-1.2r1 => Registering installation for FRILibrary-1.2r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: Directory `/opt/openrobots/etc' disappeared, skipping robotpkg_delete: Directory `/opt/openrobots/share/FRILibrary' disappeared, skipping ===> Logging bulk summary for FRILibrary-1.2r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for FRILibrary-1.2r1 ===> Done bulk for FRILibrary-1.2r1 [39%] Processing wip/pal-transmissions:pal-transmissions-0.2.2r2 ===> Cleaning temporary files for pal-transmissions-0.2.2r2 ===> Bulk building for pal-transmissions-0.2.2r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/prf-ros-control-0.2.6r3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required robotpkg package prf-ros-control>=0.2: prf-ros-control-0.2.6r3 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for pal-transmissions-0.2.2r2 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for pal-transmissions-0.2.2r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-transmissions-0.2.2r2 ===> Done bulk for pal-transmissions-0.2.2r2 [39%] Processing wip/py-hla:py27-hla-1.1.1r1 ===> Cleaning temporary files for py27-hla-1.1.1r1 ===> Bulk building for py27-hla-1.1.1r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/certi-20130312r1.tgz => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package certi>=3.4.0: certi-20130312r1 found ERROR: ====================================================================== ERROR: A package matching `certi>=3.4.0' ERROR: should be installed but some files are missing. ERROR: ERROR: searching in /opt/openrobots ERROR: found: /opt/openrobots/bin/rtia ERROR: missing: /opt/openrobots/include/hla13/RTI.hh ERROR: ERROR: Please reinstall the package in ../../wip/certi ERROR: ====================================================================== make[2]: *** [do-depends] Error 1 ERROR: make: *** [depends] Error 2 ===> Logging bulk summary for py27-hla-1.1.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-hla-1.1.1r1 ===> Done bulk for py27-hla-1.1.1r1 [40%] Processing wip/py-hla:py32-hla-1.1.1r1 ===> Cleaning temporary files for py32-hla-1.1.1r1 ===> Bulk building for py32-hla-1.1.1r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/certi-20130312r1.tgz => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.2: python>=2.5<3.7 provided by python32>=3.2<3.3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package python32>=3.2<3.3: python32-3.2.3 found => Required robotpkg package certi>=3.4.0: certi-20130312r1 found ERROR: ====================================================================== ERROR: A package matching `certi>=3.4.0' ERROR: should be installed but some files are missing. ERROR: ERROR: searching in /opt/openrobots ERROR: found: /opt/openrobots/bin/rtia ERROR: missing: /opt/openrobots/include/hla13/RTI.hh ERROR: ERROR: Please reinstall the package in ../../wip/certi ERROR: ====================================================================== make[2]: *** [do-depends] Error 1 ERROR: make: *** [depends] Error 2 ===> Logging bulk summary for py32-hla-1.1.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-hla-1.1.1r1 ===> Done bulk for py32-hla-1.1.1r1 [40%] Processing wip/py-hla:py34-hla-1.1.1r1 ===> Cleaning temporary files for py34-hla-1.1.1r1 ===> Bulk building for py34-hla-1.1.1r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-hla-1.1.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-hla-1.1.1r1 ===> Done bulk for py34-hla-1.1.1r1 [41%] Processing wip/py-hla:py35-hla-1.1.1r1 ===> Cleaning temporary files for py35-hla-1.1.1r1 ===> Bulk building for py35-hla-1.1.1r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-hla-1.1.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-hla-1.1.1r1 ===> Done bulk for py35-hla-1.1.1r1 [41%] Processing wip/py-hla:py36-hla-1.1.1r1 ===> Cleaning temporary files for py36-hla-1.1.1r1 ===> Bulk building for py36-hla-1.1.1r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-hla-1.1.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-hla-1.1.1r1 ===> Done bulk for py36-hla-1.1.1r1 [41%] Processing wip/ompl:ompl-1.0.0 ===> Cleaning temporary files for ompl-1.0.0 ===> Bulk building for ompl-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.8.7: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => SHA1 checksums OK => RMD160 checksums OK => Registering installation for ompl-1.0.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: Directory `/opt/openrobots/include/ompl/CMakeFiles/ompl.dir/extensions/morse' disappeared, skipping ===> Logging bulk summary for ompl-1.0.0 => Checking leftover files WARNING: 98 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ompl-1.0.0 ===> Done bulk for ompl-1.0.0 [42%] Processing wip/pyrene-motions:pyrene-motions ===> Cleaning temporary files for pyrene-motions ===> Bulk building for pyrene-motions => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for pyrene-motions make[3]: *** [pkg-tarup] Error 1 => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pal => Updating debian binary packages make[3]: *** [deb-package] Error 1 make[2]: *** [package-failed] Error 2 => Marking pyrene-motions as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for pyrene-motions => Checking leftover files WARNING: 49 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pyrene-motions ===> Done bulk for pyrene-motions [42%] Processing wip/infuse-asn1-types:infuse-asn1-types-0.3 ===> Cleaning temporary files for infuse-asn1-types-0.3 ===> Bulk building for infuse-asn1-types-0.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Required system package mono>=4.2: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for infuse-asn1-types-0.3: ERROR: ERROR: mono>=4.2 (Ubuntu package mono-devel) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/infuse-asn1-types/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for infuse-asn1-types-0.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for infuse-asn1-types-0.3 ===> Done bulk for infuse-asn1-types-0.3 [43%] Processing wip/talos-data:talos-data-0.0.19 ===> Cleaning temporary files for talos-data-0.0.19 ===> Bulk building for talos-data-0.0.19 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required robotpkg package urdfdom>=0.2.8<1: urdfdom-0.3.0r2 found WARNING: Using urdfdom-0.3.0 in /opt/openrobots WARNING: The following packages may interfere with the build because they WARNING: are located in paths used by other dependencies: WARNING: urdfdom-0.2.10 in /opt/ros/hydro => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for talos-data-0.0.19 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Updating debian binary packages ===> Logging bulk summary for talos-data-0.0.19 => Checking leftover files WARNING: 60 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for talos-data-0.0.19 ===> Done bulk for talos-data-0.0.19 [43%] Processing wip/backward-ros:backward-ros-0.1.4r3 ===> Cleaning temporary files for backward-ros-0.1.4r3 ===> Bulk building for backward-ros-0.1.4r3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | NODENAME=fluffy32-ubuntu1204 | --- | Running set -e; | cd /local/robotpkg/var/tmp/robotpkg/wip/backward-ros/work/backward_ros-0.1.4 && cd /local/robotpkg/var/tmp/robotpkg/wip/backward-ros/work/backward_ros-0.1.4 && /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/wip/backward-ros/work PATH='/opt/openrobots/sbin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/sbin:/sbin:/bin' LD_LIBRARY_PATH='' /usr/bin/cmake '-Dcatkin_DIR=/opt/ros/hydro/share/catkin/cmake/' '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=/opt/ros/hydro' -DPYTHON_EXECUTABLE=/usr/bin/python2.7 -DPYTHON_INCLUDE_DIR=/usr/include/python2.7/ -DPYTHON_INCLUDE_DIR2=/usr/include/python2.7/ -DPYTHON_LIBRARY=/usr/lib/libpython2.7.so -DCATKIN_DEVEL_PREFIX=/local/robotpkg/var/tmp/robotpkg/wip/backward-ros/work/stage -DNOSETESTS=/usr/bin/nosetests-2.7 -DGTEST_ROOT=/usr -DCATKIN_BUILD_BINARY_PACKAGE=1 -DSETUPTOOLS_DEB_LAYOUT=OFF --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE CMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man .; | Not searching for unused variables given on the command line. | CMake Error at CMakeLists.txt:23 (cmake_minimum_required): | CMake 2.8.12 or higher is required. You are running version 2.8.7 | | -- Configuring incomplete, errors occurred! | => Marking backward-ros-0.1.4r3 as broken For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/backward-ros/work/configure.log make[3]: *** [do-configure-cmake] Error 1 make[2]: *** [pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for backward-ros-0.1.4r3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for backward-ros-0.1.4r3 ===> Done bulk for backward-ros-0.1.4r3 [43%] Processing wip/move3d-assets:move3d-assets-20120125 ===> Cleaning temporary files for move3d-assets-20120125 ===> Bulk building for move3d-assets-20120125 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package gcc>=3: gcc-4.6 found => Required system package A BSD-compatible install program: install-sh found => Required system package pax and tar archivers: pax found => SHA1 checksums OK => RMD160 checksums OK => Registering installation for move3d-assets-20120125 robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/CostHriFunction/MACROS/jidoBaseFixedGripper.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/JustinScenarios/LightPlanner/MACROS/Horse.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/Kitchen/Ikea/MACROS/helico.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/Kitchen/Ikea/MACROS/jidoHriGripperIK.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/Kitchen/kitchen/MACROS/JidoParts' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/Kitchen/kitchen/MACROS/Superman.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/Kitchen/kitchen/MACROS/jidoHriGripper.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/Kitchen/kitchen/MACROS/robots/JidoParts' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/Kitchen/kitchen/MACROS/robots/jido.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/Kitchen/kitchen/MACROS/robots/jidoHriGripper.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/SAHand/MACROS/Horse.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/environments/laas-grande-salle/MACROS/AchileM.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/environments/laas-grande-salle/MACROS/AchileParts' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/environments/laas-grande-salle/MACROS/JidoParts' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/environments/laas-grande-salle/MACROS/Objects' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/environments/laas-grande-salle/MACROS/SAHandRight' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/environments/laas-grande-salle/MACROS/SAHandRight_robot.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/environments/laas-grande-salle/MACROS/jidoKukaSAHand.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/environments/laas-grande-salle/MACROS/pr2.macro' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/environments/laas-grande-salle/MACROS/pr2Parts' exists and is in +CONTENTS but target does not exist! robotpkg_admin: move3d-assets-20120125: Symlink `/opt/openrobots/share/move3d/assets/novela/MACROS/shelf.macro' exists and is in +CONTENTS but target does not exist! => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for move3d-assets-20120125 => Checking leftover files WARNING: 67 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for move3d-assets-20120125 ===> Done bulk for move3d-assets-20120125 [44%] Processing wip/ros-swri-nodelet:ros-swri-nodelet-2.3.0 ===> Cleaning temporary files for ros-swri-nodelet-2.3.0 ===> Bulk building for ros-swri-nodelet-2.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-catkin-0.7.14.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-catkin-pkg-0.4.8.tgz => Required robotpkg package ros-comm>=1.13<1.15: NOT found ERROR: Required robotpkg package ros-comm>=1.13<1.15: NOT found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-nodelet-core-1.9.0.tgz robotpkg_add: Conflicting PLIST with py27-catkin-pkg-0.4.8: bin/catkin_package_version robotpkg_add: Can't install dependency ros-catkin>=0.6<0.7 robotpkg_add: Can't install dependency ros-bond-core>=1.7 robotpkg_add: 1 package addition failed Package `py27-catkin-pkg-0.4.8' is still required by other packages: ros-catkin-0.7.14 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-std-msgs-0.5.11.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-genmsg-0.5.11.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-message-generation-0.4.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-gencpp-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-geneus-2.2.6.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-genlisp-0.4.16.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-gennodejs-2.0.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-genpy-0.6.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-message-runtime-0.4.12.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for ros-swri-nodelet-2.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-swri-nodelet-2.3.0 ===> Done bulk for ros-swri-nodelet-2.3.0 [44%] Processing wip/morse-hla:morse-hla-1.4 ===> Cleaning temporary files for morse-hla-1.4 ===> Bulk building for morse-hla-1.4 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for morse-hla-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for morse-hla-1.4 ===> Done bulk for morse-hla-1.4 [45%] Processing wip/pal-hardware-interfaces:pal-hardware-interfaces-0.0.3 ===> Cleaning temporary files for pal-hardware-interfaces-0.0.3 ===> Bulk building for pal-hardware-interfaces-0.0.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/prf-ros-control-0.2.6r3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required robotpkg package prf-ros-control>=0.2: prf-ros-control-0.2.6r3 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for pal-hardware-interfaces-0.0.3 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pal => Updating debian binary packages WARNING: pal-hardware-interfaces-0.0.3 may not be publicly available: WARNING: Redistribution of repackaged binaries not permitted ===> Logging bulk summary for pal-hardware-interfaces-0.0.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-hardware-interfaces-0.0.3 ===> Done bulk for pal-hardware-interfaces-0.0.3 [45%] Processing wip/hrp2-bringup:hrp2-bringup-1.0.6 ===> Cleaning temporary files for hrp2-bringup-1.0.6 ===> Bulk building for hrp2-bringup-1.0.6 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/hrp2-14-description-1.0.5.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/hrp2-computer-monitor-1.0.2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/hrp2-machine-1.0.2.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required robotpkg package hrp2-14-description>=1.0.0: hrp2-14-description-1.0.5 found => Required robotpkg package hrp2-computer-monitor>=1.0.0: hrp2-computer-monitor-1.0.2 found => Required robotpkg package hrp2-machine>=1.0.0: hrp2-machine-1.0.2 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for hrp2-bringup-1.0.6 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Updating debian binary packages WARNING: hrp2-bringup-1.0.6 may not be publicly available: WARNING: Redistribution of repackaged binaries not permitted ===> Logging bulk summary for hrp2-bringup-1.0.6 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hrp2-bringup-1.0.6 ===> Done bulk for hrp2-bringup-1.0.6 [45%] Processing wip/gerard-bauzil:gerard-bauzil-1.0.1 ===> Cleaning temporary files for gerard-bauzil-1.0.1 ===> Bulk building for gerard-bauzil-1.0.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Required robotpkg package gepetto-viewer>=2.1.2: NOT found ERROR: Required robotpkg package gepetto-viewer>=2.1.2: NOT found => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for gerard-bauzil-1.0.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for gerard-bauzil-1.0.1 ===> Done bulk for gerard-bauzil-1.0.1 [46%] Processing wip/urg:urg-0.8.18 ===> Cleaning temporary files for urg-0.8.18 ===> Bulk building for urg-0.8.18 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Required system package unzip: unzip found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package SDL_net>=1.2: SDL_net-1.2.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for urg-0.8.18 => Modifying GNU configure scripts to avoid --recheck => Adding run-time search paths to pkg-config files => Registering installation for urg-0.8.18 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for urg-0.8.18 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for urg-0.8.18 ===> Done bulk for urg-0.8.18 [46%] Processing wip/spark-genom:spark-genom-3.9 ===> Cleaning temporary files for spark-genom-3.9~mightability+openprs+tcl+tclserv_client ===> Bulk building for spark-genom-3.9~mightability+openprs+tcl+tclserv_client => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/genBasic-genom-0.4r1~openprs+tcl+tclserv_client.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pocolibs-2.17.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/genom-2.12%7edoc.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libtclserv_client-0.5r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tclserv-2.8.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openprs-1.1b10.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/transgen-1.1b1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/genHum-genom-1.1r1~openprs+tcl+tclserv_client.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/genManip-genom-0.9~openprs+tcl+tclserv_client.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/gbM-0.11%7etcl.tgz => Dependency genom-2.12~doc already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/libmove3d-3.22.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/softMotion-libs-3.12%7edebug+tcl.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/libmove3d-hri-2.24.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libt3d-2.6~doc.tgz => Dependency libtclserv_client-0.5r1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/mkdep-2.9.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/mocap-genom-1.3~openprs+tcl+tclserv_client.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/evart-client-2.2%7edoc.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/niut-genom-0.6~openprs+tcl+tclserv_client.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openni-1.5.2.23r1%7esse3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openni-sensor-5.1.0.41r1%7esse3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openni-nite-1.5.2.21r3.tgz => Dependency pocolibs-2.17 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pom-genom-0.7~openprs+tcl+tclserv_client.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/insitu-1.3.tgz => Dependency tclserv-2.8.1 already installed => Dependency tnftp-20130505~ssl already installed => Dependency transgen-1.1b1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/viman-genom-1.6~openprs+tcl+tclserv_client.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/artoolkitplus-2.1.1r4.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/viam-libs-1.12r1%7edoc+opencv.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/viam-genom-1.10%7edisplay+openprs+tcl+tclserv_client.tgz => Building with the following options: => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use tcl-8.5: tcl>=8.4 provided by tcl85>=8.5<8.6 => Required system package autoconf>=2.59: autoconf-2.68 found => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package gm4>=1.4: gm4-1.4.16 found => Required system package libstdc++: libstdc++ found => Required system package libtool>=1.5.22: libtool-2.4.2 found => Required system package perl>=5: perl-5 found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package tcl85>=8.5<8.6: tcl85-8.5 found => Required robotpkg package genBasic-genom>=0.1: genBasic-genom-0.4r1~openprs+tcl+tclserv_client found => Required robotpkg package genHum-genom>=1.1: genHum-genom-1.1r1~openprs+tcl+tclserv_client found => Required robotpkg package genManip-genom>=0.9: genManip-genom-0.9~openprs+tcl+tclserv_client found => Required robotpkg package genom>=2.9: genom-2.12~doc found => Required robotpkg package libmove3d>=3.22.0: libmove3d-3.22.0r1 found => Required robotpkg package libmove3d-hri>=2.24: libmove3d-hri-2.24 found => Required robotpkg package libt3d>=2.6: libt3d-2.6~doc found => Required robotpkg package libtclserv_client>=0.3: libtclserv_client-0.5r1 found => Required robotpkg package mkdep>=2.6: mkdep-2.9 found => Required robotpkg package mocap-genom>=1.3: mocap-genom-1.3~openprs+tcl+tclserv_client found => Required robotpkg package niut-genom>=0.6: niut-genom-0.6~openprs+tcl+tclserv_client found => Required robotpkg package pocolibs>=2.17: pocolibs-2.17 found => Required robotpkg package pom-genom>=0.5r1: pom-genom-0.7~openprs+tcl+tclserv_client found => Required robotpkg package tclserv>=2.7: tclserv-2.8.1 found => Required robotpkg package transgen>=1.1b0: transgen-1.1b1 found => Required robotpkg package viman-genom>=1.4: viman-genom-1.6~openprs+tcl+tclserv_client found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for spark-genom-3.9~mightability+openprs+tcl+tclserv_client => Generating spark module An unexpected error occured. The last 10 log lines are shown below. | _override_vars_wip_libmove3d=PKGREQD PKGREQD PKGREQD | --- | Running set -e;cd /local/robotpkg/var/tmp/robotpkg/wip/spark-genom/work/spark-genom-3.9 && | /usr/bin/env CONFIG_SHELL=/bin/sh LIBS='' 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/wip/spark-genom/work PATH='/opt/openrobots/bin:/opt/openrobots/sbin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/sbin:/sbin:/bin' LD_LIBRARY_PATH='' | /opt/openrobots/bin/genom -DUSE_MIGHTABILITY_MAPS -o -t -x spark | Package libmove3d-planners was not found in the pkg-config search path. | Perhaps you should add the directory containing `libmove3d-planners.pc' | to the PKG_CONFIG_PATH environment variable | No package 'libmove3d-planners' found | error running /usr/bin/pkg-config For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/spark-genom/work/configure.log make[3]: *** [genom-generate] Error 1 make[2]: *** [pkg-check-installed] Error 2 => Marking spark-genom-3.9~mightability+openprs+tcl+tclserv_client as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for spark-genom-3.9~mightability+openprs+tcl+tclserv_client => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for spark-genom-3.9~mightability+openprs+tcl+tclserv_client ===> Done bulk for spark-genom-3.9~mightability+openprs+tcl+tclserv_client [47%] Processing wip/dynamic-graph-v3:dynamic-graph-v3-3.1.0 ===> Cleaning temporary files for dynamic-graph-v3-3.1.0 ===> Bulk building for dynamic-graph-v3-3.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package podlators: podlators found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for dynamic-graph-v3-3.1.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for dynamic-graph-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for dynamic-graph-v3-3.1.0 ===> Done bulk for dynamic-graph-v3-3.1.0 [47%] Processing wip/histodet:histodet-1.0r2 ===> Cleaning temporary files for histodet-1.0r2 ===> Bulk building for histodet-1.0r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use opencv-2: opencv>=2.2.0 provided by opencv2>=2.2.0<3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package opencv2>=2.2.0<3: opencv2-2.3.1 found => SHA1 checksums OK => RMD160 checksums OK => Registering installation for histodet-1.0r2 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for histodet-1.0r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for histodet-1.0r2 ===> Done bulk for histodet-1.0r2 [47%] Processing wip/octovis:octoviz-1.6.1 ===> Cleaning temporary files for octoviz-1.6.1 ===> Bulk building for octoviz-1.6.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Required system package libqglviewer>=2.3: MISSING => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for octoviz-1.6.1: ERROR: ERROR: libqglviewer>=2.3 (Ubuntu package libqglviewer-qt4-dev) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/octovis/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for octoviz-1.6.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for octoviz-1.6.1 ===> Done bulk for octoviz-1.6.1 [48%] Processing wip/rqt-dynamic-graph:py27-rqt-dynamic-graph-1.0.0 ===> Cleaning temporary files for py27-rqt-dynamic-graph-1.0.0 ===> Bulk building for py27-rqt-dynamic-graph-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-rqt>=0.2<0.3: ros-rqt-0.2.14 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for py27-rqt-dynamic-graph-1.0.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for py27-rqt-dynamic-graph-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-rqt-dynamic-graph-1.0.0 ===> Done bulk for py27-rqt-dynamic-graph-1.0.0 [48%] Processing wip/rqt-dynamic-graph:py32-rqt-dynamic-graph-1.0.0 ===> Cleaning temporary files for py32-rqt-dynamic-graph-1.0.0 ===> Bulk building for py32-rqt-dynamic-graph-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Required system package py32-empy>=3: MISSING => Required system package py32-nose>=0.10: MISSING => Required system package ros-catkin>=0.5<0.6: MISSING => Required system package ros-rqt>=0.2<0.3: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for py32-rqt-dynamic-graph-1.0.0: ERROR: ERROR: py32-empy>=3 (Ubuntu package python-empy (python-3.2)) ERROR: py32-nose>=0.10 (Ubuntu package python-nose (python-3.2)) ERROR: ros-catkin>=0.5<0.6 (Ubuntu package ros-hydro-catkin) ERROR: ros-rqt>=0.2<0.3 (Ubuntu package ros-hydro-rqt) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/rqt-dynamic-graph/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for py32-rqt-dynamic-graph-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-rqt-dynamic-graph-1.0.0 ===> Done bulk for py32-rqt-dynamic-graph-1.0.0 [49%] Processing wip/rqt-dynamic-graph:py34-rqt-dynamic-graph-1.0.0 ===> Cleaning temporary files for py34-rqt-dynamic-graph-1.0.0 ===> Bulk building for py34-rqt-dynamic-graph-1.0.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-rqt-dynamic-graph-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-rqt-dynamic-graph-1.0.0 ===> Done bulk for py34-rqt-dynamic-graph-1.0.0 [49%] Processing wip/rqt-dynamic-graph:py35-rqt-dynamic-graph-1.0.0 ===> Cleaning temporary files for py35-rqt-dynamic-graph-1.0.0 ===> Bulk building for py35-rqt-dynamic-graph-1.0.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-rqt-dynamic-graph-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-rqt-dynamic-graph-1.0.0 ===> Done bulk for py35-rqt-dynamic-graph-1.0.0 [49%] Processing wip/rqt-dynamic-graph:py36-rqt-dynamic-graph-1.0.0 ===> Cleaning temporary files for py36-rqt-dynamic-graph-1.0.0 ===> Bulk building for py36-rqt-dynamic-graph-1.0.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-rqt-dynamic-graph-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-rqt-dynamic-graph-1.0.0 ===> Done bulk for py36-rqt-dynamic-graph-1.0.0 [50%] Processing wip/prf-ros-controllers:prf-ros-controllers-0.3.5r3 ===> Cleaning temporary files for prf-ros-controllers-0.3.5r3 ===> Bulk building for prf-ros-controllers-0.3.5r3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/pal-hardware-interfaces-0.0.3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/prf-ros-control-0.2.6r3.tgz => Dependency prf-ros-control-0.2.6r3 already installed => Required system package ros-four-wheel-steering-msgs>=1: MISSING => Required system package ros-urdf-geometry-parser>=0.0.1: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for prf-ros-controllers-0.3.5r3: ERROR: ERROR: ros-four-wheel-steering-msgs>=1 (Ubuntu package ros-hydro-four-wheel-steering-msgs) ERROR: ros-urdf-geometry-parser>=0.0.1 (Ubuntu package ros-hydro-urdf-geometry-parser) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/prf-ros-controllers/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for prf-ros-controllers-0.3.5r3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for prf-ros-controllers-0.3.5r3 ===> Done bulk for prf-ros-controllers-0.3.5r3 [50%] Processing wip/py-morse:py32-morse-1.4 ===> Cleaning temporary files for py32-morse-1.4 ===> Bulk building for py32-morse-1.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.2: python>=3.2 provided by python32>=3.2<3.3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package python32>=3.2<3.3: python32-3.2.3 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | -- Configuring incomplete, errors occurred! | CMake Error at config/FindPackageHandleStandardArgs.cmake:97 (MESSAGE): | Could NOT find PythonInterp: Found unsuitable version "3.2.3", but required | is at least "3.3" (found /usr/bin/python3.2) | Call Stack (most recent call first): | config/FindPackageHandleStandardArgs.cmake:286 (_FPHSA_FAILURE_MESSAGE) | config/FindPythonInterp.cmake:139 (FIND_PACKAGE_HANDLE_STANDARD_ARGS) | CMakeLists.txt:30 (find_package) | | For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/py-morse/work/configure.log make[3]: *** [do-configure-cmake] Error 1 make[2]: *** [pkg-check-installed] Error 2 => Marking py32-morse-1.4 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for py32-morse-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-morse-1.4 ===> Done bulk for py32-morse-1.4 [50%] Processing wip/py-morse:py34-morse-1.4 ===> Cleaning temporary files for py34-morse-1.4 ===> Bulk building for py34-morse-1.4 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-morse-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-morse-1.4 ===> Done bulk for py34-morse-1.4 [51%] Processing wip/py-morse:py35-morse-1.4 ===> Cleaning temporary files for py35-morse-1.4 ===> Bulk building for py35-morse-1.4 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-morse-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-morse-1.4 ===> Done bulk for py35-morse-1.4 [51%] Processing wip/py-morse:py36-morse-1.4 ===> Cleaning temporary files for py36-morse-1.4 ===> Bulk building for py36-morse-1.4 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-morse-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-morse-1.4 ===> Done bulk for py36-morse-1.4 [52%] Processing wip/simple-humanoid-description:simple-humanoid-description-1.0.1 ===> Cleaning temporary files for simple-humanoid-description-1.0.1 ===> Bulk building for simple-humanoid-description-1.0.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for simple-humanoid-description-1.0.1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for simple-humanoid-description-1.0.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for simple-humanoid-description-1.0.1 ===> Done bulk for simple-humanoid-description-1.0.1 [52%] Processing wip/infuse-envire:infuse-envire-0.1.1 ===> Cleaning temporary files for infuse-envire-0.1.1 ===> Bulk building for infuse-envire-0.1.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | NODENAME=fluffy32-ubuntu1204 | --- | Running set -e; | cd /local/robotpkg/var/tmp/robotpkg/wip/infuse-envire/work/infuse-envire-0.1.1 && cd /local/robotpkg/var/tmp/robotpkg/wip/infuse-envire/work/infuse-envire-0.1.1 && /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/wip/infuse-envire/work PATH='/opt/openrobots/sbin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/sbin:/sbin:/bin' LD_LIBRARY_PATH='' /usr/bin/cmake '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=' --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE CMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man .; | Not searching for unused variables given on the command line. | CMake Error at CMakeLists.txt:1 (cmake_minimum_required): | -- Configuring incomplete, errors occurred! => Marking infuse-envire-0.1.1 as broken | CMake 3.5 or higher is required. You are running version 2.8.7 | | For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/infuse-envire/work/configure.log make[3]: *** [do-configure-cmake] Error 1 make[2]: *** [pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for infuse-envire-0.1.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for infuse-envire-0.1.1 ===> Done bulk for infuse-envire-0.1.1 [52%] Processing wip/soth:soth-2.0.3 ===> Cleaning temporary files for soth-2.0.3 ===> Bulk building for soth-2.0.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for soth-2.0.3 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for soth-2.0.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for soth-2.0.3 ===> Done bulk for soth-2.0.3 [53%] Processing wip/infuse-novatel-gps-driver-ros:infuse-novatel-gps-driver-ros-0.1.0 ===> Cleaning temporary files for infuse-novatel-gps-driver-ros-0.1.0 ===> Bulk building for infuse-novatel-gps-driver-ros-0.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed WARNING: Cannot check installed version of libpcap => Required system package ros-gps-umd>=0.2.0: MISSING => Required system package ros-swri-math-util>=2.3.0: MISSING => Required system package ros-swri-nodelet>=2.3.0: MISSING => Required system package ros-swri-roscpp>=2.3.0: MISSING => Required system package ros-swri-serial-util>=2.3.0: MISSING => Required system package ros-swri-string-util>=2.3.0: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for infuse-novatel-gps-driver-ros-0.1.0: ERROR: ERROR: ros-gps-umd>=0.2.0 (Ubuntu package ros-hydro-gps-umd) ERROR: ros-swri-math-util>=2.3.0 (Ubuntu package ros-hydro-swri-math-util) ERROR: ros-swri-nodelet>=2.3.0 (Ubuntu package ros-hydro-swri-nodelet) ERROR: ros-swri-roscpp>=2.3.0 (Ubuntu package ros-hydro-swri-roscpp) ERROR: ros-swri-serial-util>=2.3.0 (Ubuntu package ros-hydro-swri-serial-util) ERROR: ros-swri-string-util>=2.3.0 (Ubuntu package ros-hydro-swri-string-util) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/infuse-novatel-gps-driver-ros/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for infuse-novatel-gps-driver-ros-0.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for infuse-novatel-gps-driver-ros-0.1.0 ===> Done bulk for infuse-novatel-gps-driver-ros-0.1.0 [53%] Processing wip/libmove3d-planners:libmove3d-planners-1.4.0 ===> Cleaning temporary files for libmove3d-planners-1.4.0 ===> Bulk building for libmove3d-planners-1.4.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found WARNING: Cannot check installed version of boost-lib-filesystem WARNING: Cannot check installed version of boost-lib-iostreams WARNING: Cannot check installed version of boost-lib-math WARNING: Cannot check installed version of boost-lib-thread => Dependency digest-20080510 already installed WARNING: Cannot check installed version of libXpm => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/libmove3d-3.22.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/gbM-0.11%7etcl.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/softMotion-libs-3.12%7edebug+tcl.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/libmove3d-hri-2.24.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem{>=1.34.1<1.49,>=1.50}: boost-libs{ found => Required system package boostlib-iostreams{>=1.34.1<1.49,>=1.50}: boost-libs{ found => Required system package boostlib-math{>=1.34.1<1.49,>=1.50}: boost-libs{ found => Required system package boostlib-thread{>=1.34.1<1.49,>=1.50}: boost-libs{ found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package glu>=7: glu-8.0.4 found => Required system package libXpm>=3.5.7: libXpm found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found WARNING: Cannot check installed version of boost-lib-filesystem WARNING: Cannot check installed version of boost-lib-iostreams WARNING: Cannot check installed version of boost-lib-math WARNING: Cannot check installed version of boost-lib-thread WARNING: Cannot check installed version of libXpm => Required robotpkg package libmove3d>=3.22.0: libmove3d-3.22.0r1 found => Required robotpkg package libmove3d-hri>=2.24: libmove3d-hri-2.24 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:320 (_pkg_check_modules_internal) | CMakeLists.txt:284 (PKG_CHECK_MODULES) | | | -- package 'jsoncpp' not found | -- checking for module 'liblog4cxx' | -- found liblog4cxx, version 0.10.0 | -- Found LOG4CXX: /usr/lib/liblog4cxx.so | include dirs: /usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include/libxml2;/usr/include;/usr/include/eigen3;/usr/include;/opt/openrobots/include;/opt/openrobots/include | -- Configuring incomplete, errors occurred! For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/libmove3d-planners/work/configure.log make[3]: *** [do-configure-cmake] Error 1 make[2]: *** [pkg-check-installed] Error 2 => Marking libmove3d-planners-1.4.0 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for libmove3d-planners-1.4.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for libmove3d-planners-1.4.0 ===> Done bulk for libmove3d-planners-1.4.0 [54%] Processing wip/infuse-idl:infuse-idl-0.1.1 ===> Cleaning temporary files for infuse-idl-0.1.1 ===> Bulk building for infuse-idl-0.1.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openrobots-idl-1.6.tgz => Dependency tnftp-20130505~ssl already installed => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required robotpkg package openrobots-idl>=1.6: openrobots-idl-1.6 found => SHA1 checksums OK => RMD160 checksums OK => Modifying GNU configure scripts to avoid --recheck => Disabling fatal errors with C++ preprocessor in GNU configure scripts => Adding run-time search paths to pkg-config files => Registering installation for infuse-idl-0.1.1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for infuse-idl-0.1.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for infuse-idl-0.1.1 ===> Done bulk for infuse-idl-0.1.1 [54%] Processing wip/ros-swri-roscpp:ros-swri-roscpp-2.3.0 ===> Cleaning temporary files for ros-swri-roscpp-2.3.0 ===> Bulk building for ros-swri-roscpp-2.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-catkin-0.7.14.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-catkin-pkg-0.4.8.tgz => Required robotpkg package ros-comm>=1.13<1.15: NOT found ERROR: Required robotpkg package ros-comm>=1.13<1.15: NOT found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-common-msgs-1.12.6.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-genmsg-0.5.11.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-message-generation-0.4.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-gencpp-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-geneus-2.2.6.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-genlisp-0.4.16.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-gennodejs-2.0.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-genpy-0.6.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-message-runtime-0.4.12.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ros-std-msgs-0.5.11.tgz => Required robotpkg package ros-diagnostics>=1.9<1.10: NOT found ERROR: Required robotpkg package ros-diagnostics>=1.9<1.10: NOT found => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for ros-swri-roscpp-2.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-swri-roscpp-2.3.0 ===> Done bulk for ros-swri-roscpp-2.3.0 [55%] Processing wip/play-motion:play-motion-0.4.5 ===> Cleaning temporary files for play-motion-0.4.5 ===> Bulk building for play-motion-0.4.5 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/prf-ros-control-0.2.6r3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required robotpkg package prf-ros-control>=0.2: prf-ros-control-0.2.6r3 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | moveit_ros_planning_interface-config.cmake | | Call Stack (most recent call first): | play_motion/CMakeLists.txt:6 (find_package) | | | -- Boost version: 1.46.1 => Marking play-motion-0.4.5 as broken | -- Found the following Boost libraries: | -- thread | -- Configuring incomplete, errors occurred! For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/play-motion/work/configure.log make[3]: *** [do-configure-cmake] Error 1 make[2]: *** [pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for play-motion-0.4.5 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for play-motion-0.4.5 ===> Done bulk for play-motion-0.4.5 [55%] Processing wip/tsid:tsid-1.0.2r1 ===> Cleaning temporary files for tsid-1.0.2r1 ===> Bulk building for tsid-1.0.2r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Required system package eigen3>=3.2.0: MISSING => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz => Dependency tnftp-20130505~ssl already installed => Dependency urdfdom-0.3.0r2 already installed ERROR: ====================================================================== ERROR: Missing system packages required for tsid-1.0.2r1: ERROR: ERROR: eigen3>=3.2.0 (Ubuntu package libeigen3-dev) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/tsid/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for tsid-1.0.2r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for tsid-1.0.2r1 ===> Done bulk for tsid-1.0.2r1 [56%] Processing wip/orocos-bfl:orocos-bfl-0.8.0 ===> Cleaning temporary files for orocos-bfl-0.8.0 ===> Bulk building for orocos-bfl-0.8.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.46.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.46.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.46.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.46.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.46.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package cppunit>=1: cppunit-1.12.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for orocos-bfl-0.8.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for orocos-bfl-0.8.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for orocos-bfl-0.8.0 ===> Done bulk for orocos-bfl-0.8.0 [56%] Processing wip/py-mraa:mraa-1.9.0 ===> Cleaning temporary files for mraa-1.9.0 ===> Bulk building for mraa-1.9.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Required system package libjson-c>=0.10: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for mraa-1.9.0: ERROR: ERROR: libjson-c>=0.10 ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/py-mraa/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for mraa-1.9.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for mraa-1.9.0 ===> Done bulk for mraa-1.9.0 [56%] Processing wip/osg-dae:osg-dae-3.2.1r1 ===> Cleaning temporary files for osg-dae-3.2.1r1 ===> Bulk building for osg-dae-3.2.1r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/collada-dom-2.3.1r2.tgz => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-system>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package openscenegraph>=3: openscenegraph-3.0.1 found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required robotpkg package collada-dom>=2.3.1: collada-dom-2.3.1r2 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | -- found collada14dom , version 2.3.1 | -- Pkg-config module collada14dom v2.3.1 has been detected with success. | CMake Error at cmake/pkg-config.cmake:749 (MESSAGE): | The package openscenegraph has not been found. | Call Stack (most recent call first): | cmake/pkg-config.cmake:767 (BUILD_PREFIX_FOR_PKG) | src/osgPlugins/dae/CMakeLists.txt:86 (PKG_CONFIG_USE_DEPENDENCY) | | | -- Configuring incomplete, errors occurred! For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/osg-dae/work/configure.log make[3]: *** [do-configure-cmake] Error 1 make[2]: *** [pkg-check-installed] Error 2 => Marking osg-dae-3.2.1r1 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for osg-dae-3.2.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for osg-dae-3.2.1r1 ===> Done bulk for osg-dae-3.2.1r1 [57%] Processing wip/py-jsbsim:py27-jsbsim-20150424r1 ===> Cleaning temporary files for py27-jsbsim-20150424r1 ===> Bulk building for py27-jsbsim-20150424r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package cvs>=1: cvs-1.12.138 found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/jsbsim-20150424.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package jsbsim>=1.0: jsbsim-20150424 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:91 (MESSAGE): | Could NOT find Cython (missing: CYTHON_EXECUTABLE) | Call Stack (most recent call first): | /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:252 (_FPHSA_FAILURE_MESSAGE) | CMakeModules/FindCython.cmake:42 (FIND_PACKAGE_HANDLE_STANDARD_ARGS) | CMakeModules/UseCython.cmake:74 (find_package) | CMakeLists.txt:6 (include) | | | -- Configuring incomplete, errors occurred! For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/py-jsbsim/work/configure.log make[3]: *** [do-configure-cmake] Error 1 make[2]: *** [pkg-check-installed] Error 2 => Marking py27-jsbsim-20150424r1 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for py27-jsbsim-20150424r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-jsbsim-20150424r1 ===> Done bulk for py27-jsbsim-20150424r1 [57%] Processing wip/py-jsbsim:py32-jsbsim-20150424r1 ===> Cleaning temporary files for py32-jsbsim-20150424r1 ===> Bulk building for py32-jsbsim-20150424r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package cvs>=1: cvs-1.12.138 found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/jsbsim-20150424.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.2: python>=2.5<3.7 provided by python32>=3.2<3.3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package python32>=3.2<3.3: python32-3.2.3 found => Required robotpkg package jsbsim>=1.0: jsbsim-20150424 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:91 (MESSAGE): | Could NOT find Cython (missing: CYTHON_EXECUTABLE) | Call Stack (most recent call first): | /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:252 (_FPHSA_FAILURE_MESSAGE) | CMakeModules/FindCython.cmake:42 (FIND_PACKAGE_HANDLE_STANDARD_ARGS) | CMakeModules/UseCython.cmake:74 (find_package) | CMakeLists.txt:6 (include) | | | -- Configuring incomplete, errors occurred! For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/py-jsbsim/work/configure.log make[3]: *** [do-configure-cmake] Error 1 make[2]: *** [pkg-check-installed] Error 2 => Marking py32-jsbsim-20150424r1 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for py32-jsbsim-20150424r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-jsbsim-20150424r1 ===> Done bulk for py32-jsbsim-20150424r1 [58%] Processing wip/py-jsbsim:py34-jsbsim-20150424r1 ===> Cleaning temporary files for py34-jsbsim-20150424r1 ===> Bulk building for py34-jsbsim-20150424r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-jsbsim-20150424r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-jsbsim-20150424r1 ===> Done bulk for py34-jsbsim-20150424r1 [58%] Processing wip/py-jsbsim:py35-jsbsim-20150424r1 ===> Cleaning temporary files for py35-jsbsim-20150424r1 ===> Bulk building for py35-jsbsim-20150424r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-jsbsim-20150424r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-jsbsim-20150424r1 ===> Done bulk for py35-jsbsim-20150424r1 [58%] Processing wip/py-jsbsim:py36-jsbsim-20150424r1 ===> Cleaning temporary files for py36-jsbsim-20150424r1 ===> Bulk building for py36-jsbsim-20150424r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-jsbsim-20150424r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-jsbsim-20150424r1 ===> Done bulk for py36-jsbsim-20150424r1 [59%] Processing wip/msgconnector:msgconnector-2.13.0 ===> Cleaning temporary files for msgconnector-2.13.0~bridge-print+liboro+openprs+yarp ===> Bulk building for msgconnector-2.13.0~bridge-print+liboro+openprs+yarp => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/libhatp-1.3.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/liboro-1.1r1~doc.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openprs-1.1b10.tgz => Dependency tnftp-20130505~ssl already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/yarp-2.3.22r3~gui.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ace-6.4.6.tgz => Building with the following options: => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package ace>=5.6: ace-6.0.1 found => Required system package boost-headers>=1.34: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required robotpkg package libhatp>=1.3.0: libhatp-1.3.0 found => Required robotpkg package liboro>=1.0: liboro-1.1r1~doc found => Required robotpkg package openprs>=1.1b7: openprs-1.1b10 found => Required robotpkg package yarp>=2.3.1: yarp-2.3.22r3~gui found ERROR: ====================================================================== ERROR: A package matching `yarp>=2.3.1' ERROR: should be installed but some files are missing. ERROR: ERROR: searching in /opt/openrobots ERROR: found: /opt/openrobots/bin/yarp, /opt/openrobots/bin/yarp: error while loading shared libraries: libACE-6.0.4.so: cannot open shared object file: No such file or directory ERROR: missing: /opt/openrobots/bin/yarp ERROR: ERROR: Please reinstall the package in ../../middleware/yarp ERROR: ====================================================================== make[2]: *** [do-depends] Error 1 ERROR: make: *** [depends] Error 2 ===> Logging bulk summary for msgconnector-2.13.0~bridge-print+liboro+openprs+yarp => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for msgconnector-2.13.0~bridge-print+liboro+openprs+yarp ===> Done bulk for msgconnector-2.13.0~bridge-print+liboro+openprs+yarp [59%] Processing wip/dynamic-introspection:dynamic-introspection-1.0.5 ===> Cleaning temporary files for dynamic-introspection-1.0.5 ===> Bulk building for dynamic-introspection-1.0.5 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found ERROR: Required robotpkg package backward-ros>=0.1.4: BROKEN => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for dynamic-introspection-1.0.5 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for dynamic-introspection-1.0.5 ===> Done bulk for dynamic-introspection-1.0.5 [60%] Processing wip/lua-rfsm:lua-rfsm-20131212.44fcec2db5r2 ===> Cleaning temporary files for lua-rfsm-20131212.44fcec2db5r2 ===> Bulk building for lua-rfsm-20131212.44fcec2db5r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package git>=1.6: git-1.7.9.5 found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Required system package A BSD-compatible install program: install-sh found => Required system package lua>=5: lua-5.2.0 found => Required system package pax and tar archivers: pax found => SHA1 checksums OK => RMD160 checksums OK => Creating installation directories => Registering installation for lua-rfsm-20131212.44fcec2db5r2 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for lua-rfsm-20131212.44fcec2db5r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for lua-rfsm-20131212.44fcec2db5r2 ===> Done bulk for lua-rfsm-20131212.44fcec2db5r2 [60%] Processing wip/roralink:roralink-0.3.0-Source ===> Cleaning temporary files for roralink-0.3.0-Source ===> Bulk building for roralink-0.3.0-Source => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package gcc>=3: gcc-4.6 found => Fetching roralink-0.3.0-Source.tar.gz => Total size: 12237 bytes fetch: Unable to fetch expected file roralink-0.3.0-Source.tar.gz tnftp: Error retrieving file `404 Not Found' fetch: Unable to fetch expected file roralink-0.3.0-Source.tar.gz => Total size: 12237 bytes tnftp: Error retrieving file `404 Not Found' fetch: Unable to fetch expected file roralink-0.3.0-Source.tar.gz ERROR: Could not fetch the following file: ERROR: roralink-0.3.0-Source.tar.gz ERROR: ERROR: Please retrieve this file manually into: ERROR: /opt/robotpkg/var/lib/robotpkg/distfiles/ make[3]: *** [/opt/robotpkg/var/lib/robotpkg/distfiles/roralink-0.3.0-Source.tar.gz] Error 1 => Marking roralink-0.3.0-Source as broken make[2]: *** [pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for roralink-0.3.0-Source => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for roralink-0.3.0-Source ===> Done bulk for roralink-0.3.0-Source [60%] Processing wip/morse-mavlink:morse-mavlink-1.4 ===> Cleaning temporary files for morse-mavlink-1.4 ===> Bulk building for morse-mavlink-1.4 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for morse-mavlink-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for morse-mavlink-1.4 ===> Done bulk for morse-mavlink-1.4 [61%] Processing wip/antlr2:antlr2-2.7.7 ===> Cleaning temporary files for antlr2-2.7.7 ===> Bulk building for antlr2-2.7.7 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use openjdk JVM: java>=1.6 provided by openjdk>=1.6 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package openjdk>=1.6: openjdk-1.7.0.121 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for antlr2-2.7.7 => Modifying GNU configure scripts to avoid --recheck => Compiling python files => Registering installation for antlr2-2.7.7 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for antlr2-2.7.7 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for antlr2-2.7.7 ===> Done bulk for antlr2-2.7.7 [61%] Processing wip/pal-msgs:pal-msgs-0.11.3 ===> Cleaning temporary files for pal-msgs-0.11.3 ===> Bulk building for pal-msgs-0.11.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed WARNING: Cannot check installed version of py-rospkg => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy ros>=hydro provided by ros-hydro => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package py27-rospkg>=1.0.29: py27-rospkg found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-actionlib>=1.10<1.11: ros-actionlib-1.10.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-class-loader>=0.2<0.3: ros-class-loader-0.2.5 found => Required system package ros-cmake-modules>=0.3: ros-cmake-modules-0.3.3 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-control-toolbox>=1.10<1.13: ros-control-toolbox-1.10.4 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-geometry>=1.10<1.11: ros-geometry-1.10.8 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-pluginlib>=1.9<1.10: ros-pluginlib-1.9.24 found => Required system package ros-ros>=1.10<1.11: ros-ros-1.10.11 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found WARNING: Cannot check installed version of py-rospkg => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for pal-msgs-0.11.3 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for pal-msgs-0.11.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-msgs-0.11.3 ===> Done bulk for pal-msgs-0.11.3 [62%] Processing wip/parametric-curves:parametric-curves-1.2.0 ===> Cleaning temporary files for parametric-curves-1.2.0 ===> Bulk building for parametric-curves-1.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | [100%] Building CXX object src/tests/spline_test/CMakeFiles/spline_tests.dir/Main.cpp.o | cd /local/robotpkg/var/tmp/robotpkg/wip/parametric-curves/work/parametric-curves-1.2.0/src/tests/spline_test && /usr/bin/g++ -pedantic -Wno-long-long -Wall -Wextra -Wcast-align -Wcast-qual -Wformat -Wwrite-strings -Wconversion -pipe -O3 -DNDEBUG -I/local/robotpkg/var/tmp/robotpkg/wip/parametric-curves/work/parametric-curves-1.2.0 -I/local/robotpkg/var/tmp/robotpkg/wip/parametric-curves/work/parametric-curves-1.2.0/include -isystem /usr/include/eigen3 -o CMakeFiles/spline_tests.dir/Main.cpp.o -c /local/robotpkg/var/tmp/robotpkg/wip/parametric-curves/work/parametric-curves-1.2.0/src/tests/spline_test/Main.cpp | In file included from /local/robotpkg/var/tmp/robotpkg/wip/parametric-curves/work/parametric-curves-1.2.0/include/parametric-curves/spline.hpp:17:0, | from /local/robotpkg/var/tmp/robotpkg/wip/parametric-curves/work/parametric-curves-1.2.0/src/tests/spline_test/Main.cpp:1: | /local/robotpkg/var/tmp/robotpkg/wip/parametric-curves/work/parametric-curves-1.2.0/include/parametric-curves/polynomial.hpp:44:11: error: 'Ref' in namespace 'Eigen' does not name a type | make[2]: *** [src/tests/spline_test/CMakeFiles/spline_tests.dir/Main.cpp.o] Error 1 | make[1]: *** [src/tests/spline_test/CMakeFiles/spline_tests.dir/all] Error 2 | make[2]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/parametric-curves/work/parametric-curves-1.2.0' | make: *** [all] Error 2 | make[1]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/parametric-curves/work/parametric-curves-1.2.0' For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/parametric-curves/work/build.log make[3]: *** [do-build] Error 2 => Marking parametric-curves-1.2.0 as broken make[2]: *** [pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for parametric-curves-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for parametric-curves-1.2.0 ===> Done bulk for parametric-curves-1.2.0 [62%] Processing wip/example-adder:example-adder-1.0.0 ===> Cleaning temporary files for example-adder-1.0.0 ===> Bulk building for example-adder-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for example-adder-1.0.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for example-adder-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for example-adder-1.0.0 ===> Done bulk for example-adder-1.0.0 [62%] Processing wip/talos-moveit-config:talos-moveit-config-0.2.6r1 ===> Cleaning temporary files for talos-moveit-config-0.2.6r1 ===> Bulk building for talos-moveit-config-0.2.6r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy ros>=hydro provided by ros-hydro => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-actionlib>=1.10<1.11: ros-actionlib-1.10.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-class-loader>=0.2<0.3: ros-class-loader-0.2.5 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-control-toolbox>=1.10<1.13: ros-control-toolbox-1.10.4 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-geometry>=1.10<1.11: ros-geometry-1.10.8 found => Required system package ros-joint-state-publisher>=1.10<1.11: ros-joint-state-publisher-1.10.21 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-pluginlib>=1.9<1.10: ros-pluginlib-1.9.24 found => Required system package ros-ros>=1.10<1.11: ros-ros-1.10.11 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for talos-moveit-config-0.2.6r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Updating debian binary packages ===> Logging bulk summary for talos-moveit-config-0.2.6r1 => Checking leftover files WARNING: 1 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for talos-moveit-config-0.2.6r1 ===> Done bulk for talos-moveit-config-0.2.6r1 [63%] Processing wip/ur5-description:ur5-description-1.0.1 Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. ===> Cleaning temporary files for ur5-description-1.0.1 ===> Bulk building for ur5-description-1.0.1 => Checking for clear installation Warning: the LICENSE of wip/ur5-description is undefined. => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz Warning: the LICENSE of wip/ur5-description is undefined. => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed Warning: the LICENSE of wip/ur5-description is undefined. => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. => SHA1 checksums OK => RMD160 checksums OK Warning: the LICENSE of wip/ur5-description is undefined. => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowdown.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowright.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/bdwn.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/doc.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/dynsections.js' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/folderclosed.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/folderopen.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/nav_g.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/navtreedata.js' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/navtreeindex0.js' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/search/searchdata.js' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/splitbar.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/sync_off.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/sync_on.png' => Registering installation for ur5-description-1.0.1 robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowdown.png' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowright.png' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/bdwn.png' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/doc.png' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/dynsections.js' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/folderclosed.png' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/folderopen.png' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/nav_g.png' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/navtreedata.js' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/navtreeindex0.js' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/search/searchdata.js' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/splitbar.png' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/sync_off.png' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/sync_on.png' is in +CONTENTS but not on filesystem! Warning: the LICENSE of wip/ur5-description is undefined. robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowdown.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowright.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/bdwn.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/doc.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/dynsections.js' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/folderclosed.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/folderopen.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/nav_g.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/navtreedata.js' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/navtreeindex0.js' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/search/searchdata.js' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/splitbar.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/sync_off.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/sync_on.png' robotpkg_create: lstat failed for file share/doc/ur5_description/doxygen-html/arrowdown.png: No such file or directory make[3]: *** [pkg-tarup] Error 2 Warning: the LICENSE of wip/ur5-description is undefined. => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pal => Updating debian binary packages make[2]: *** [package-failed] Error 2 => Marking ur5-description-1.0.1 as broken ERROR: make: *** [package] Error 2 Warning: the LICENSE of wip/ur5-description is undefined. robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/arrowdown.png robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/arrowright.png robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/bdwn.png robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/doc.png robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/dynsections.js robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/folderclosed.png robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/folderopen.png robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/nav_g.png robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/navtreedata.js robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/navtreeindex0.js robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/search/searchdata.js robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/splitbar.png robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/sync_off.png robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/sync_on.png ===> Logging bulk summary for ur5-description-1.0.1 => Checking leftover files WARNING: 15 files leftover. => Creating bulk log files => Logging bulk metadata Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. ===> Cleaning temporary files for ur5-description-1.0.1 ===> Done bulk for ur5-description-1.0.1 [63%] Processing wip/orocos-yarp_transport:orocos-yarp_transport-20150316 ===> Cleaning temporary files for orocos-yarp_transport-20150316~doc ===> Bulk building for orocos-yarp_transport-20150316~doc => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package git>=1.6: git-1.7.9.5 found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed WARNING: Cannot check installed version of docbook => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/orocos-rtt-2.9.0rc1.tgz => Dependency tnftp-20130505~ssl already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/yarp-2.3.22r3~gui.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ace-6.4.6.tgz => Building with the following options: => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package ace>=5.6: ace-6.0.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package docbook>=0.6: docbook found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found WARNING: Cannot check installed version of docbook => Required robotpkg package orocos-rtt>=2.5: orocos-rtt-2.9.0rc1 found => Required robotpkg package yarp>=2.2: yarp-2.3.22r3~gui found ERROR: ====================================================================== ERROR: A package matching `yarp>=2.2' ERROR: should be installed but some files are missing. ERROR: ERROR: searching in /opt/openrobots ERROR: found: /opt/openrobots/bin/yarp, /opt/openrobots/bin/yarp: error while loading shared libraries: libACE-6.0.4.so: cannot open shared object file: No such file or directory ERROR: missing: /opt/openrobots/bin/yarp ERROR: ERROR: Please reinstall the package in ../../middleware/yarp ERROR: ====================================================================== make[2]: *** [do-depends] Error 1 ERROR: make: *** [depends] Error 2 ===> Logging bulk summary for orocos-yarp_transport-20150316~doc => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for orocos-yarp_transport-20150316~doc ===> Done bulk for orocos-yarp_transport-20150316~doc [64%] Processing wip/infuse-asn1-conversions:infuse-asn1-conversions-0.4r1 ===> Cleaning temporary files for infuse-asn1-conversions-0.4r1 ===> Bulk building for infuse-asn1-conversions-0.4r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Required robotpkg package infuse-asn1-types>=0.2: N/A => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for infuse-asn1-conversions-0.4r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for infuse-asn1-conversions-0.4r1 ===> Done bulk for infuse-asn1-conversions-0.4r1 [64%] Processing wip/infuse-msgs-ros:infuse-msgs-ros-0.1.0 ===> Cleaning temporary files for infuse-msgs-ros-0.1.0 ===> Bulk building for infuse-msgs-ros-0.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy provided by ros-hydro => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for infuse-msgs-ros-0.1.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for infuse-msgs-ros-0.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for infuse-msgs-ros-0.1.0 ===> Done bulk for infuse-msgs-ros-0.1.0 [64%] Processing wip/talos-robot:talos-robot-1.0.2 ===> Cleaning temporary files for talos-robot-1.0.2 ===> Bulk building for talos-robot-1.0.2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/head-action-0.0.1r3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/orocos-kdl-1.3.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/tf-lookup-0.0.1r1.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy ros>=hydro provided by ros-hydro => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-actionlib>=1.10<1.11: ros-actionlib-1.10.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-class-loader>=0.2<0.3: ros-class-loader-0.2.5 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-control-toolbox>=1.10<1.13: ros-control-toolbox-1.10.4 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-geometry>=1.10<1.11: ros-geometry-1.10.8 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-pluginlib>=1.9<1.10: ros-pluginlib-1.9.24 found => Required system package ros-ros>=1.10<1.11: ros-ros-1.10.11 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required robotpkg package head-action>=0.0.1: head-action-0.0.1r3 found => Required robotpkg package tf-lookup>=0.0.1: tf-lookup-0.0.1r1 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for talos-robot-1.0.2 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pal => Updating debian binary packages WARNING: talos-robot-1.0.2 may not be publicly available: WARNING: Redistribution of repackaged binaries not permitted ===> Logging bulk summary for talos-robot-1.0.2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for talos-robot-1.0.2 ===> Done bulk for talos-robot-1.0.2 [65%] Processing wip/tiago-robot:tiago-robot-0.0.35os1 ===> Cleaning temporary files for tiago-robot-0.0.35os1 ===> Bulk building for tiago-robot-0.0.35os1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/head-action-0.0.1r3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/orocos-kdl-1.3.0.tgz => Required robotpkg package pal-gripper>=0.0.13: NOT found ERROR: Required robotpkg package pal-gripper>=0.0.13: NOT found => Required robotpkg package pmb2-robot>=1.1.8: NOT found ERROR: Required robotpkg package pmb2-robot>=1.1.8: NOT found => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/tf-lookup-0.0.1r1.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for tiago-robot-0.0.35os1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for tiago-robot-0.0.35os1 ===> Done bulk for tiago-robot-0.0.35os1 [65%] Processing wip/pal-gazebo-worlds:pal-gazebo-worlds-2.0.8r2 ===> Cleaning temporary files for pal-gazebo-worlds-2.0.8r2 ===> Bulk building for pal-gazebo-worlds-2.0.8r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package prf-gazebo-ros-pkgs>=2.6.5: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for pal-gazebo-worlds-2.0.8r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-gazebo-worlds-2.0.8r2 ===> Done bulk for pal-gazebo-worlds-2.0.8r2 [66%] Processing wip/prf-roboticsgroup-gazebo-plugins:prf-roboticsgroup-gazebo-plugins-0.1.0 ===> Cleaning temporary files for prf-roboticsgroup-gazebo-plugins-0.1.0 ===> Bulk building for prf-roboticsgroup-gazebo-plugins-0.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/pal-hardware-interfaces-0.0.3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/prf-ros-control-0.2.6r3.tgz ERROR: Required robotpkg package prf-gazebo-ros-pkgs>=2.6.5: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for prf-roboticsgroup-gazebo-plugins-0.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for prf-roboticsgroup-gazebo-plugins-0.1.0 ===> Done bulk for prf-roboticsgroup-gazebo-plugins-0.1.0 [66%] Processing wip/sot-core-v3:sot-core-v3-3.2.0r1 ===> Cleaning temporary files for sot-core-v3-3.2.0r1 ===> Bulk building for sot-core-v3-3.2.0r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.1.0 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for sot-core-v3-3.2.0r1 => Adding run-time search paths to pkg-config files => Registering installation for sot-core-v3-3.2.0r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for sot-core-v3-3.2.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-core-v3-3.2.0r1 ===> Done bulk for sot-core-v3-3.2.0r1 [66%] Processing wip/dynamic-graph-tutorial:dynamic-graph-tutorial-1.1.1 ===> Cleaning temporary files for dynamic-graph-tutorial-1.1.1 ===> Bulk building for dynamic-graph-tutorial-1.1.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.1.0 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for dynamic-graph-tutorial-1.1.1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for dynamic-graph-tutorial-1.1.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for dynamic-graph-tutorial-1.1.1 ===> Done bulk for dynamic-graph-tutorial-1.1.1 [67%] Processing wip/libnabo:libnabo-1.0.4 ===> Cleaning temporary files for libnabo-1.0.4 ===> Bulk building for libnabo-1.0.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/flann-1.7.1r1.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package flann>=1.7: flann-1.7.1r1 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for libnabo-1.0.4 => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for libnabo-1.0.4 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for libnabo-1.0.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for libnabo-1.0.4 ===> Done bulk for libnabo-1.0.4 [67%] Processing wip/py-dynamic-graph-v3:py27-dynamic-graph-v3-3.1.0 ===> Cleaning temporary files for py27-dynamic-graph-v3-3.1.0 ===> Bulk building for py27-dynamic-graph-v3-3.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py-sphinx>=1.1: py-sphinx-1.1.3 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.1.0 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for py27-dynamic-graph-v3-3.1.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for py27-dynamic-graph-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-dynamic-graph-v3-3.1.0 ===> Done bulk for py27-dynamic-graph-v3-3.1.0 [68%] Processing wip/py-dynamic-graph-v3:py32-dynamic-graph-v3-3.1.0 ===> Cleaning temporary files for py32-dynamic-graph-v3-3.1.0 ===> Bulk building for py32-dynamic-graph-v3-3.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.2: python>=2.5<3.7 provided by python32>=3.2<3.3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py-sphinx>=1.1: py-sphinx-1.1.3 found => Required system package python32>=3.2<3.3: python32-3.2.3 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.1.0 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.1.0/src/interpreter.cc:123:37: error: 'PyString_AsString' was not declared in this scope | /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.1.0/src/interpreter.cc: In member function 'void dynamicgraph::python::Interpreter::python(const string&, std::string&, std::string&, std::string&)': | /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.1.0/src/interpreter.cc:222:37: error: 'PyString_AsString' was not declared in this scope | /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.1.0/src/interpreter.cc: In member function 'void dynamicgraph::python::Interpreter::runMain()': | /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.1.0/src/interpreter.cc:291:37: error: cannot convert 'char**' to 'wchar_t**' for argument '2' to 'int Py_Main(int, wchar_t**)' | make[2]: *** [src/CMakeFiles/dynamic-graph-python.dir/interpreter.cc.o] Error 1 | make[2]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.1.0' | make[1]: *** [src/CMakeFiles/dynamic-graph-python.dir/all] Error 2 | make[1]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.1.0' | make: *** [all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/build.log make[3]: *** [do-build] Error 2 => Marking py32-dynamic-graph-v3-3.1.0 as broken make[2]: *** [pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for py32-dynamic-graph-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-dynamic-graph-v3-3.1.0 ===> Done bulk for py32-dynamic-graph-v3-3.1.0 [68%] Processing wip/py-dynamic-graph-v3:py34-dynamic-graph-v3-3.1.0 ===> Cleaning temporary files for py34-dynamic-graph-v3-3.1.0 ===> Bulk building for py34-dynamic-graph-v3-3.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-dynamic-graph-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-dynamic-graph-v3-3.1.0 ===> Done bulk for py34-dynamic-graph-v3-3.1.0 [68%] Processing wip/py-dynamic-graph-v3:py35-dynamic-graph-v3-3.1.0 ===> Cleaning temporary files for py35-dynamic-graph-v3-3.1.0 ===> Bulk building for py35-dynamic-graph-v3-3.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-dynamic-graph-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-dynamic-graph-v3-3.1.0 ===> Done bulk for py35-dynamic-graph-v3-3.1.0 [69%] Processing wip/py-dynamic-graph-v3:py36-dynamic-graph-v3-3.1.0 ===> Cleaning temporary files for py36-dynamic-graph-v3-3.1.0 ===> Bulk building for py36-dynamic-graph-v3-3.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-dynamic-graph-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-dynamic-graph-v3-3.1.0 ===> Done bulk for py36-dynamic-graph-v3-3.1.0 [69%] Processing wip/hatponboard-lib:hatponboard-lib-3.4.0 ===> Cleaning temporary files for hatponboard-lib-3.4.0~enable-goal ===> Bulk building for hatponboard-lib-3.4.0~enable-goal => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found WARNING: Cannot check installed version of antlr2 => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/msgconnector-2.13.0~bridge-print+liboro+openprs+yarp.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/ace-6.4.6.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libhatp-1.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/liboro-1.1r1%7edoc.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/openprs-1.1b10.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/yarp-2.3.22r3%7egui.tgz => Dependency tnftp-20130505~ssl already installed => Building with the following options: => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package antlr2>=2<3: antlr2 found => Required system package boost-headers>=1.34: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found WARNING: Cannot check installed version of antlr2 => Required robotpkg package msgconnector>=2.13.0: msgconnector-2.13.0~bridge-print+liboro+openprs+yarp found => SHA1 checksums OK => RMD160 checksums OK => Registering installation for hatponboard-lib-3.4.0~enable-goal => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for hatponboard-lib-3.4.0~enable-goal => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hatponboard-lib-3.4.0~enable-goal ===> Done bulk for hatponboard-lib-3.4.0~enable-goal [70%] Processing wip/sot-torque-control:sot-torque-control-1.1.0 ===> Cleaning temporary files for sot-torque-control-1.1.0 ===> Bulk building for sot-torque-control-1.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz ERROR: Required robotpkg package parametric-curves>=1.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/simple-humanoid-description-1.0.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Dependency tnftp-20130505~ssl already installed => Required robotpkg package tsid>=1.0.0: N/A => Dependency urdfdom-0.3.0r2 already installed ===> Logging bulk summary for sot-torque-control-1.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-torque-control-1.1.0 ===> Done bulk for sot-torque-control-1.1.0 [70%] Processing wip/orocos-dot_service:orocos-dot_service-20120308 ===> Cleaning temporary files for orocos-dot_service-20120308 ===> Bulk building for orocos-dot_service-20120308 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/orocos-rtt-2.9.0rc1.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.46.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.46.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.46.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.46.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.46.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required robotpkg package orocos-rtt>=2: orocos-rtt-2.9.0rc1 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | /usr/bin/cmake -E cmake_progress_report /local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/rtt_dot_service-rtt_dot_service/CMakeFiles 1 | [100%] Building CXX object CMakeFiles/rtt_dot_service.dir/src/rtt_dot_service.cpp.o | /usr/bin/g++ -Drtt_dot_service_EXPORTS -DOROCOS_TARGET=gnulinux -pipe -O3 -DNDEBUG -fPIC -I/opt/openrobots/include -I/opt/openrobots/include/orocos -o CMakeFiles/rtt_dot_service.dir/src/rtt_dot_service.cpp.o -c /local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/rtt_dot_service-rtt_dot_service/src/rtt_dot_service.cpp => Marking orocos-dot_service-20120308 as broken | /local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/rtt_dot_service-rtt_dot_service/src/rtt_dot_service.cpp: In member function 'virtual bool Dot::execute()': | /local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/rtt_dot_service-rtt_dot_service/src/rtt_dot_service.cpp:112:114: error: 'class RTT::internal::ConnectionManager' has no member named 'getChannels' | make[2]: *** [CMakeFiles/rtt_dot_service.dir/src/rtt_dot_service.cpp.o] Error 1 | make[1]: *** [CMakeFiles/rtt_dot_service.dir/all] Error 2 | make[2]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/rtt_dot_service-rtt_dot_service' | make[1]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/rtt_dot_service-rtt_dot_service' | make: *** [all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/build.log make[3]: *** [do-build] Error 2 make[2]: *** [pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for orocos-dot_service-20120308 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for orocos-dot_service-20120308 ===> Done bulk for orocos-dot_service-20120308 [70%] Processing wip/pal-gazebo-plugins:pal-gazebo-plugins-1.1.7 ===> Cleaning temporary files for pal-gazebo-plugins-1.1.7 ===> Bulk building for pal-gazebo-plugins-1.1.7 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/pal-msgs-0.11.3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy ros>=hydro provided by ros-hydro => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-actionlib>=1.10<1.11: ros-actionlib-1.10.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-class-loader>=0.2<0.3: ros-class-loader-0.2.5 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-control-toolbox>=1.10<1.13: ros-control-toolbox-1.10.4 found => Required system package ros-genmsg>=0.4<0.5: ros-genmsg-0.4.26 found => Required system package ros-geometry>=1.10<1.11: ros-geometry-1.10.8 found => Required system package ros-message-generation>=0.2<0.3: ros-message-generation-0.2.10 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-pluginlib>=1.9<1.10: ros-pluginlib-1.9.24 found => Required system package ros-ros>=1.10<1.11: ros-ros-1.10.11 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required robotpkg package pal-msgs>=0.11.3: pal-msgs-0.11.3 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | make[2]: *** [CMakeFiles/gazebo_pal_hand.dir/src/gazebo_pal_hand.cpp.o] Error 1 | make[1]: *** [CMakeFiles/gazebo_pal_hand.dir/all] Error 2 | Linking CXX shared library /local/robotpkg/var/tmp/robotpkg/wip/pal-gazebo-plugins/work/stage/lib/libgazebo_harness.so | /usr/bin/cmake -E cmake_link_script CMakeFiles/gazebo_harness.dir/link.txt --verbose=1 | /usr/bin/g++ -fPIC -pipe -O3 -DNDEBUG -std=c++0x -shared -Wl,-soname,libgazebo_harness.so -o /local/robotpkg/var/tmp/robotpkg/wip/pal-gazebo-plugins/work/stage/lib/libgazebo_harness.so CMakeFiles/gazebo_harness.dir/src/gazebo_harness.cpp.o -L/usr/lib/gazebo-1.9/plugins -lgazebo_ccd -lgazebo_common -lgazebo_gimpact -lgazebo_gui -lgazebo_gui_building -lgazebo_gui_viewers -lgazebo_math -lgazebo_msgs -lgazebo_ode -lgazebo_opcode -lgazebo_opende_ou -lgazebo_physics -lgazebo_physics_ode -lgazebo_rendering -lgazebo_selection_buffer -lgazebo_sensors -lgazebo_skyx -lgazebo_transport -lgazebo_util -lgazebo_player -lprotobuf -lsdformat /opt/ros/hydro/lib/libgazebo_ros_api_plugin.so /opt/ros/hydro/lib/libgazebo_ros_paths_plugin.so /opt/ros/hydro/lib/libvision_reconfigure.so /opt/ros/hydro/lib/libgazebo_ros_utils.so /opt/ros/hydro/lib/libgazebo_ros_camera_utils.so /opt/ros/hydro/lib/libgazebo_ros_camera.so /opt/ros/hydro/lib/libgazebo_ros_multicamera.so /opt/ros/hydro/lib/libgazebo_ros_depth_camera.so /opt/ros/hydro/lib/libgazebo_ros_openni_kinect.so /opt/ros/hydro/lib/libgazebo_ros_gpu_laser.so /opt/ros/hydro/lib/libgazebo_ros_laser.so /opt/ros/hydro/lib/libgazebo_ros_block_laser.so /opt/ros/hydro/lib/libgazebo_ros_p3d.so /opt/ros/hydro/lib/libgazebo_ros_imu.so /opt/ros/hydro/lib/libgazebo_ros_f3d.so /opt/ros/hydro/lib/libgazebo_ros_ft_sensor.so /opt/ros/hydro/lib/libgazebo_ros_bumper.so /opt/ros/hydro/lib/libgazebo_ros_template.so /opt/ros/hydro/lib/libgazebo_ros_projector.so /opt/ros/hydro/lib/libgazebo_ros_prosilica.so /opt/ros/hydro/lib/libgazebo_ros_force.so /opt/ros/hydro/lib/libgazebo_ros_joint_trajectory.so /opt/ros/hydro/lib/libgazebo_ros_joint_state_publisher.so /opt/ros/hydro/lib/libgazebo_ros_joint_pose_trajectory.so /opt/ros/hydro/lib/libgazebo_ros_diff_drive.so /opt/ros/hydro/lib/libgazebo_ros_tricycle_drive.so /opt/ros/hydro/lib/libgazebo_ros_skid_steer_drive.so /opt/ros/hydro/lib/libgazebo_ros_video.so /opt/ros/hydro/lib/libgazebo_ros_planar_move.so /opt/ros/hydro/lib/libnodeletlib.so /opt/ros/hydro/lib/libbondcpp.so -luuid /opt/ros/hydro/lib/liburdf.so /opt/ros/hydro/lib/liburdfdom_sensor.so /opt/ros/hydro/lib/liburdfdom_model_state.so /opt/ros/hydro/lib/liburdfdom_model.so /opt/ros/hydro/lib/liburdfdom_world.so /opt/ros/hydro/lib/librosconsole_bridge.so /opt/ros/hydro/lib/libimage_transport.so -ltinyxml /opt/ros/hydro/lib/libclass_loader.so -lPocoFoundation -ldl /opt/ros/hydro/lib/libroslib.so /opt/ros/hydro/lib/libcamera_info_manager.so /opt/ros/hydro/lib/libcontrol_toolbox.so /opt/ros/hydro/lib/libtf.so /opt/ros/hydro/lib/libtf2_ros.so /opt/ros/hydro/lib/libactionlib.so /opt/ros/hydro/lib/libmessage_filters.so /opt/ros/hydro/lib/libtf2.so /opt/ros/hydro/lib/libdynamic_reconfigure_config_init_mutex.so /opt/ros/hydro/lib/librealtime_tools.so /opt/ros/hydro/lib/libroscpp.so -lboost_signals-mt -lboost_filesystem-mt /opt/ros/hydro/lib/librosconsole.so /opt/ros/hydro/lib/librosconsole_log4cxx.so /opt/ros/hydro/lib/librosconsole_backend_interface.so -llog4cxx -lboost_regex-mt /opt/ros/hydro/lib/libxmlrpcpp.so /opt/ros/hydro/lib/libroscpp_serialization.so /opt/ros/hydro/lib/librostime.so -lboost_date_time-mt -lboost_system-mt -lboost_thread-mt -lpthread /opt/ros/hydro/lib/libcpp_common.so /opt/ros/hydro/lib/libconsole_bridge.so -Wl,-rpath,/usr/lib/gazebo-1.9/plugins:/opt/ros/hydro/lib:::::::::::::::::::: | make[2]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/pal-gazebo-plugins/work/pal_gazebo_plugins-1.1.7' | /usr/bin/cmake -E cmake_progress_report /local/robotpkg/var/tmp/robotpkg/wip/pal-gazebo-plugins/work/pal_gazebo_plugins-1.1.7/CMakeFiles 3 | [ 57%] Built target gazebo_harness | make[1]: Leaving directory `/local/robotpkg/var/tmp/robotpkg/wip/pal-gazebo-plugins/work/pal_gazebo_plugins-1.1.7' | make: *** [all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/pal-gazebo-plugins/work/build.log make[3]: *** [do-build] Error 2 make[2]: *** [pkg-check-installed] Error 2 => Marking pal-gazebo-plugins-1.1.7 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for pal-gazebo-plugins-1.1.7 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-gazebo-plugins-1.1.7 ===> Done bulk for pal-gazebo-plugins-1.1.7 [71%] Processing wip/sot-dyninv:sot-dyninv-2.0.0r1 ===> Cleaning temporary files for sot-dyninv-2.0.0r1 ===> Bulk building for sot-dyninv-2.0.0r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mal-1.19.6r1~jrl-mathtools.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mathtools-1.5.2r3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-2.5.6r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-2.5.7.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/sot-core-2.9.10.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/soth-2.0.3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package jrl-mal>=1.8.3: jrl-mal-1.19.6r1~jrl-mathtools found => Required robotpkg package py27-dynamic-graph>=2.5: py27-dynamic-graph-2.5.6r2 found => Required robotpkg package sot-core>=2.5: sot-core-2.9.10 found => Required robotpkg package soth>=2.0.0: soth-2.0.3 found => SHA1 checksums OK => RMD160 checksums OK => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for sot-dyninv-2.0.0r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for sot-dyninv-2.0.0r1 => Checking leftover files WARNING: 79 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-dyninv-2.0.0r1 ===> Done bulk for sot-dyninv-2.0.0r1 [71%] Processing wip/pal-hardware-gazebo:pal-hardware-gazebo-0.1.1r2 ===> Cleaning temporary files for pal-hardware-gazebo-0.1.1r2 ===> Bulk building for pal-hardware-gazebo-0.1.1r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package dynamic-introspection>=1.0.5: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/pal-hardware-interfaces-0.0.3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/prf-ros-control-0.2.6r3.tgz ERROR: Required robotpkg package prf-gazebo-ros-pkgs>=2.6.5: BROKEN => Dependency prf-ros-control-0.2.6r3 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for pal-hardware-gazebo-0.1.1r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-hardware-gazebo-0.1.1r2 ===> Done bulk for pal-hardware-gazebo-0.1.1r2 [72%] Processing wip/jrl-walkgen-v3:jrl-walkgen-v3-4.0.3 ===> Cleaning temporary files for jrl-walkgen-v3-4.0.3 ===> Bulk building for jrl-walkgen-v3-4.0.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package eigen-quadprog>=1.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mal-1.19.6r1~jrl-mathtools.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mathtools-1.5.2r3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/simple-humanoid-description-1.0.1.tgz => Dependency tnftp-20130505~ssl already installed => Dependency urdfdom-0.3.0r2 already installed ===> Logging bulk summary for jrl-walkgen-v3-4.0.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for jrl-walkgen-v3-4.0.3 ===> Done bulk for jrl-walkgen-v3-4.0.3 [72%] Processing wip/py-example-adder:py27-example-adder-1.0.0 ===> Cleaning temporary files for py27-example-adder-1.0.0 ===> Bulk building for py27-example-adder-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/example-adder-1.0.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package example-adder>=1.0.0: example-adder-1.0.0 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for py27-example-adder-1.0.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: couldn't entirely delete package `example-adder-1.0.0' ===> Logging bulk summary for py27-example-adder-1.0.0 => Checking leftover files WARNING: 4 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-example-adder-1.0.0 ===> Done bulk for py27-example-adder-1.0.0 [72%] Processing wip/py-example-adder:py32-example-adder-1.0.0 ===> Cleaning temporary files for py32-example-adder-1.0.0 ===> Bulk building for py32-example-adder-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/example-adder-1.0.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.2: python>=2.5<3.7 provided by python32>=3.2<3.3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python32>=3.2<3.3: python32-3.2.3 found => Required robotpkg package example-adder>=1.0.0: example-adder-1.0.0 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for py32-example-adder-1.0.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: couldn't entirely delete package `example-adder-1.0.0' ===> Logging bulk summary for py32-example-adder-1.0.0 => Checking leftover files WARNING: 4 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-example-adder-1.0.0 ===> Done bulk for py32-example-adder-1.0.0 [73%] Processing wip/py-example-adder:py34-example-adder-1.0.0 ===> Cleaning temporary files for py34-example-adder-1.0.0 ===> Bulk building for py34-example-adder-1.0.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-example-adder-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-example-adder-1.0.0 ===> Done bulk for py34-example-adder-1.0.0 [73%] Processing wip/py-example-adder:py35-example-adder-1.0.0 ===> Cleaning temporary files for py35-example-adder-1.0.0 ===> Bulk building for py35-example-adder-1.0.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-example-adder-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-example-adder-1.0.0 ===> Done bulk for py35-example-adder-1.0.0 [74%] Processing wip/py-example-adder:py36-example-adder-1.0.0 ===> Cleaning temporary files for py36-example-adder-1.0.0 ===> Bulk building for py36-example-adder-1.0.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-example-adder-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-example-adder-1.0.0 ===> Done bulk for py36-example-adder-1.0.0 [74%] Processing wip/move3d-studio:move3d-studio-1.4r3 ===> Cleaning temporary files for move3d-studio-1.4r3~qtstudio ===> Bulk building for move3d-studio-1.4r3~qtstudio => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/gbM-0.11~tcl.tgz WARNING: Cannot check installed version of glpk WARNING: Cannot check installed version of libXpm => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/libmove3d-3.22.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/softMotion-libs-3.12%7edebug+tcl.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/libmove3d-hri-2.24.tgz ERROR: Required robotpkg package libmove3d-planners>=1.4.0: BROKEN => Dependency softMotion-libs-3.12~debug+tcl already installed => Dependency tnftp-20130505~ssl already installed WARNING: Cannot check installed version of glpk WARNING: Cannot check installed version of libXpm ===> Logging bulk summary for move3d-studio-1.4r3~qtstudio => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for move3d-studio-1.4r3~qtstudio ===> Done bulk for move3d-studio-1.4r3~qtstudio [74%] Processing wip/sot-tools-v3:sot-tools-v3-2.1.0 ===> Cleaning temporary files for sot-tools-v3-2.1.0 ===> Bulk building for sot-tools-v3-2.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r1 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for sot-tools-v3-2.1.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for sot-tools-v3-2.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-tools-v3-2.1.0 ===> Done bulk for sot-tools-v3-2.1.0 [75%] Processing wip/py-dynamic-graph-bridge-v3:py27-dynamic-graph-bridge-v3-3.1.1r4 ===> Cleaning temporary files for py27-dynamic-graph-bridge-v3-3.1.1r4 ===> Bulk building for py27-dynamic-graph-bridge-v3-3.1.1r4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-msgs-0.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy ros>=hydro ros>=hydro provided by ros-hydro => Required system package bullet>=2.75: bullet-2.80 found => Required system package cmake>=2.8.3: cmake-2.8.7 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-empy>=3: py27-empy-3.3 found => Required system package py27-nose>=0.10: py27-nose-1.1.2 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-catkin>=0.5<0.6: ros-catkin-0.5.90 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-common-msgs>=1.10<1.11: ros-common-msgs-1.10.6 found => Required system package ros-geometry>=1.10<1.11: ros-geometry-1.10.8 found => Required system package ros-geometry2>=0.4<0.5: ros-geometry2-0.4.12 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-realtime-tools>=1.8.2: ros-realtime-tools-1.8.3 found => Required system package ros-roscpp-core>=0.4<0.5: ros-roscpp-core-0.4.4 found => Required system package ros-rospack>=2.1<2.2: ros-rospack-2.1.25 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required robotpkg package dynamic-graph-bridge-msgs>=0.2.0: dynamic-graph-bridge-msgs-0.2.0 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.1.0 found => Required robotpkg package py27-dynamic-graph-v3>=3.0: py27-dynamic-graph-v3-3.1.0 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r1 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for py27-dynamic-graph-bridge-v3-3.1.1r4 => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files robotpkg_create: can't stat `/opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/_index.js' robotpkg_create: can't stat `/opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/srv/RunPythonFile.js' robotpkg_create: can't stat `/opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/srv/_index.js' robotpkg_create: can't stat `/opt/openrobots/share/roseus/ros/dynamic_graph_bridge/manifest.l' robotpkg_create: can't stat `/opt/openrobots/share/roseus/ros/dynamic_graph_bridge/srv/RunPythonFile.l' => Registering installation for py27-dynamic-graph-bridge-v3-3.1.1r4 robotpkg_admin: py27-dynamic-graph-bridge-v3-3.1.1r4: File `/opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/_index.js' is in +CONTENTS but not on filesystem! robotpkg_admin: py27-dynamic-graph-bridge-v3-3.1.1r4: File `/opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/srv/RunPythonFile.js' is in +CONTENTS but not on filesystem! robotpkg_admin: py27-dynamic-graph-bridge-v3-3.1.1r4: File `/opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/srv/_index.js' is in +CONTENTS but not on filesystem! robotpkg_admin: py27-dynamic-graph-bridge-v3-3.1.1r4: File `/opt/openrobots/share/roseus/ros/dynamic_graph_bridge/manifest.l' is in +CONTENTS but not on filesystem! robotpkg_admin: py27-dynamic-graph-bridge-v3-3.1.1r4: File `/opt/openrobots/share/roseus/ros/dynamic_graph_bridge/srv/RunPythonFile.l' is in +CONTENTS but not on filesystem! robotpkg_create: can't stat `/opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/_index.js' robotpkg_create: can't stat `/opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/srv/RunPythonFile.js' robotpkg_create: can't stat `/opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/srv/_index.js' robotpkg_create: can't stat `/opt/openrobots/share/roseus/ros/dynamic_graph_bridge/manifest.l' robotpkg_create: can't stat `/opt/openrobots/share/roseus/ros/dynamic_graph_bridge/srv/RunPythonFile.l' robotpkg_create: lstat failed for file share/gennodejs/ros/dynamic_graph_bridge/_index.js: No such file or directory make[3]: *** [pkg-tarup] Error 2 => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/jrl => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pal => Updating debian binary packages WARNING: dpkg-deb: error: archive '/opt/robotpkg/var/lib/robotpkg/wip/packages/debian/pub/dists/bionic/robotpkg/binary-amd64/robotpkg-py27-dynamic-graph-bridge-v3_3.1.1_amd64.deb' contains not understood data member control.tar.xz, giving up WARNING: dpkg-deb: error: archive '/opt/robotpkg/var/lib/robotpkg/wip/packages/debian/pub/dists/bionic/robotpkg/binary-amd64/robotpkg-py27-dynamic-graph-bridge-v3_3.1.1r3_amd64.deb' contains not understood data member control.tar.xz, giving up WARNING: dpkg-deb: error: archive '/opt/robotpkg/var/lib/robotpkg/wip/packages/debian/pub/dists/bionic/robotpkg/binary-amd64/robotpkg-py27-dynamic-graph-bridge-v3_3.1.1r4_amd64.deb' contains not understood data member control.tar.xz, giving up make[2]: *** [package-failed] Error 2 => Marking py27-dynamic-graph-bridge-v3-3.1.1r4 as broken ERROR: make: *** [package] Error 2 robotpkg_delete: Couldn't remove /opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/_index.js robotpkg_delete: Couldn't remove /opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/srv/RunPythonFile.js robotpkg_delete: Couldn't remove /opt/openrobots/share/gennodejs/ros/dynamic_graph_bridge/srv/_index.js robotpkg_delete: Couldn't remove /opt/openrobots/share/roseus/ros/dynamic_graph_bridge/manifest.l robotpkg_delete: Couldn't remove /opt/openrobots/share/roseus/ros/dynamic_graph_bridge/srv/RunPythonFile.l ===> Logging bulk summary for py27-dynamic-graph-bridge-v3-3.1.1r4 => Checking leftover files WARNING: 607 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-dynamic-graph-bridge-v3-3.1.1r4 ===> Done bulk for py27-dynamic-graph-bridge-v3-3.1.1r4 [75%] Processing wip/py-dynamic-graph-bridge-v3:py32-dynamic-graph-bridge-v3-3.1.1r4 ===> Cleaning temporary files for py32-dynamic-graph-bridge-v3-3.1.1r4 ===> Bulk building for py32-dynamic-graph-bridge-v3-3.1.1r4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-msgs-0.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz ERROR: Required robotpkg package py32-dynamic-graph-v3>=3.0: BROKEN => Required system package py32-empy>=3: MISSING => Required system package py32-nose>=0.10: MISSING => Required system package ros-catkin>=0.5<0.6: MISSING => Required system package ros-common-msgs>=1.10<1.11: MISSING => Required system package ros-std-msgs>=0.5: MISSING => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for py32-dynamic-graph-bridge-v3-3.1.1r4: ERROR: ERROR: py32-empy>=3 (Ubuntu package python-empy (python-3.2)) ERROR: py32-nose>=0.10 (Ubuntu package python-nose (python-3.2)) ERROR: ros-catkin>=0.5<0.6 (Ubuntu package ros-hydro-catkin) ERROR: ros-common-msgs>=1.10<1.11 (Ubuntu package ros-hydro-common-msgs) ERROR: ros-std-msgs>=0.5 (Ubuntu package ros-hydro-std-msgs) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-bridge-v3/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [sys-depends] Error 2 ===> Logging bulk summary for py32-dynamic-graph-bridge-v3-3.1.1r4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-dynamic-graph-bridge-v3-3.1.1r4 ===> Done bulk for py32-dynamic-graph-bridge-v3-3.1.1r4 [76%] Processing wip/py-dynamic-graph-bridge-v3:py34-dynamic-graph-bridge-v3-3.1.1r4 ===> Cleaning temporary files for py34-dynamic-graph-bridge-v3-3.1.1r4 ===> Bulk building for py34-dynamic-graph-bridge-v3-3.1.1r4 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-dynamic-graph-bridge-v3-3.1.1r4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-dynamic-graph-bridge-v3-3.1.1r4 ===> Done bulk for py34-dynamic-graph-bridge-v3-3.1.1r4 [76%] Processing wip/py-dynamic-graph-bridge-v3:py35-dynamic-graph-bridge-v3-3.1.1r4 ===> Cleaning temporary files for py35-dynamic-graph-bridge-v3-3.1.1r4 ===> Bulk building for py35-dynamic-graph-bridge-v3-3.1.1r4 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-dynamic-graph-bridge-v3-3.1.1r4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-dynamic-graph-bridge-v3-3.1.1r4 ===> Done bulk for py35-dynamic-graph-bridge-v3-3.1.1r4 [76%] Processing wip/py-dynamic-graph-bridge-v3:py36-dynamic-graph-bridge-v3-3.1.1r4 ===> Cleaning temporary files for py36-dynamic-graph-bridge-v3-3.1.1r4 ===> Bulk building for py36-dynamic-graph-bridge-v3-3.1.1r4 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-dynamic-graph-bridge-v3-3.1.1r4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-dynamic-graph-bridge-v3-3.1.1r4 ===> Done bulk for py36-dynamic-graph-bridge-v3-3.1.1r4 [77%] Processing wip/py-dynamic-graph-tutorial:py27-dynamic-graph-tutorial-1.1.1 ===> Cleaning temporary files for py27-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py27-dynamic-graph-tutorial-1.1.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-tutorial-1.1.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Dependency dynamic-graph-v3-3.1.0 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package dynamic-graph-tutorial>=1.1.0: dynamic-graph-tutorial-1.1.1 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.1.0 found => Required robotpkg package py27-dynamic-graph-v3>=3.0: py27-dynamic-graph-v3-3.1.0 found => SHA1 checksums OK => RMD160 checksums OK => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for py27-dynamic-graph-tutorial-1.1.1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: couldn't entirely delete package `dynamic-graph-tutorial-1.1.1' ===> Logging bulk summary for py27-dynamic-graph-tutorial-1.1.1 => Checking leftover files WARNING: 113 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-dynamic-graph-tutorial-1.1.1 ===> Done bulk for py27-dynamic-graph-tutorial-1.1.1 [77%] Processing wip/py-dynamic-graph-tutorial:py32-dynamic-graph-tutorial-1.1.1 ===> Cleaning temporary files for py32-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py32-dynamic-graph-tutorial-1.1.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-tutorial-1.1.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Dependency dynamic-graph-v3-3.1.0 already installed ERROR: Required robotpkg package py32-dynamic-graph-v3>=3.0: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py32-dynamic-graph-tutorial-1.1.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-dynamic-graph-tutorial-1.1.1 ===> Done bulk for py32-dynamic-graph-tutorial-1.1.1 [78%] Processing wip/py-dynamic-graph-tutorial:py34-dynamic-graph-tutorial-1.1.1 ===> Cleaning temporary files for py34-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py34-dynamic-graph-tutorial-1.1.1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-dynamic-graph-tutorial-1.1.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-dynamic-graph-tutorial-1.1.1 ===> Done bulk for py34-dynamic-graph-tutorial-1.1.1 [78%] Processing wip/py-dynamic-graph-tutorial:py35-dynamic-graph-tutorial-1.1.1 ===> Cleaning temporary files for py35-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py35-dynamic-graph-tutorial-1.1.1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-dynamic-graph-tutorial-1.1.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-dynamic-graph-tutorial-1.1.1 ===> Done bulk for py35-dynamic-graph-tutorial-1.1.1 [78%] Processing wip/py-dynamic-graph-tutorial:py36-dynamic-graph-tutorial-1.1.1 ===> Cleaning temporary files for py36-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py36-dynamic-graph-tutorial-1.1.1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-dynamic-graph-tutorial-1.1.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-dynamic-graph-tutorial-1.1.1 ===> Done bulk for py36-dynamic-graph-tutorial-1.1.1 [79%] Processing wip/talos-metapkg-ros-control-sot:talos-metapkg-ros-control-sot-0.0.11 ===> Cleaning temporary files for talos-metapkg-ros-control-sot-0.0.11 ===> Bulk building for talos-metapkg-ros-control-sot-0.0.11 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/pal-hardware-interfaces-0.0.3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/prf-ros-control-0.2.6r3.tgz => Required robotpkg package prf-ros-controllers>=0.2.8: N/A ERROR: Required robotpkg package py27-dynamic-graph-bridge-v3>=3.0.0: BROKEN => Required robotpkg package roscontrol_sot>=1.0.0: NOT found ERROR: Required robotpkg package roscontrol_sot>=1.0.0: NOT found => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for talos-metapkg-ros-control-sot-0.0.11 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for talos-metapkg-ros-control-sot-0.0.11 ===> Done bulk for talos-metapkg-ros-control-sot-0.0.11 [79%] Processing wip/talos-simulation:talos-simulation-0.1.4r2 ===> Cleaning temporary files for talos-simulation-0.1.4r2 ===> Bulk building for talos-simulation-0.1.4r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/head-action-0.0.1r3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/orocos-kdl-1.3.0.tgz ERROR: Required robotpkg package pal-gazebo-plugins>=1.1.5: BROKEN ERROR: Required robotpkg package pal-gazebo-worlds>=2.0.0: BROKEN ERROR: Required robotpkg package pal-hardware-gazebo>=0.0.9: BROKEN ERROR: Required robotpkg package prf-roboticsgroup-gazebo-plugins>=0.0.3: BROKEN => Required robotpkg package prf-ros-controllers>=0.2.8: N/A => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/talos-moveit-config-0.2.6r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/talos-robot-1.0.2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/tf-lookup-0.0.1r1.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for talos-simulation-0.1.4r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for talos-simulation-0.1.4r2 ===> Done bulk for talos-simulation-0.1.4r2 [80%] Processing wip/sot-dynamic-pinocchio-v3:sot-dynamic-pinocchio-v3-3.2.2r2 ===> Cleaning temporary files for sot-dynamic-pinocchio-v3-3.2.2r2 ===> Bulk building for sot-dynamic-pinocchio-v3-3.2.2r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Dependency urdfdom-0.3.0r2 already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-python>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-numpy>=1: py27-numpy-1.6.1 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package pinocchio>=1.2.8: pinocchio-1.2.9r2 found => Required robotpkg package py27-eigenpy>=1.4.1: py27-eigenpy-1.4.4 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r1 found => Required robotpkg package sot-tools-v3>=2.0: sot-tools-v3-2.1.0 found => Required robotpkg package urdfdom>=0.2.8<1: urdfdom-0.3.0r2 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for sot-dynamic-pinocchio-v3-3.2.2r2 => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for sot-dynamic-pinocchio-v3-3.2.2r2 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for sot-dynamic-pinocchio-v3-3.2.2r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-dynamic-pinocchio-v3-3.2.2r2 ===> Done bulk for sot-dynamic-pinocchio-v3-3.2.2r2 [80%] Processing wip/sot-dyninv-v3:sot-dyninv-v3-3.1.0r1 ===> Cleaning temporary files for sot-dyninv-v3-3.1.0r1 ===> Bulk building for sot-dyninv-v3-3.1.0r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/soth-2.0.3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r1 found => Required robotpkg package soth>=2.0.0: soth-2.0.3 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for sot-dyninv-v3-3.1.0r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for sot-dyninv-v3-3.1.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-dyninv-v3-3.1.0r1 ===> Done bulk for sot-dyninv-v3-3.1.0r1 [80%] Processing wip/py-sot-core-v3:py27-sot-core-v3-3.2.0r1 ===> Cleaning temporary files for py27-sot-core-v3-3.2.0r1 ===> Bulk building for py27-sot-core-v3-3.2.0r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.1.0 found => Required robotpkg package py27-dynamic-graph-v3>=3.0: py27-dynamic-graph-v3-3.1.0 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r1 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for py27-sot-core-v3-3.2.0r1 => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for py27-sot-core-v3-3.2.0r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: couldn't entirely delete package `sot-core-v3-3.2.0r1' ===> Logging bulk summary for py27-sot-core-v3-3.2.0r1 => Checking leftover files WARNING: 432 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-core-v3-3.2.0r1 ===> Done bulk for py27-sot-core-v3-3.2.0r1 [81%] Processing wip/py-sot-core-v3:py32-sot-core-v3-3.2.0r1 ===> Cleaning temporary files for py32-sot-core-v3-3.2.0r1 ===> Bulk building for py32-sot-core-v3-3.2.0r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz ERROR: Required robotpkg package py32-dynamic-graph-v3>=3.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py32-sot-core-v3-3.2.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-sot-core-v3-3.2.0r1 ===> Done bulk for py32-sot-core-v3-3.2.0r1 [81%] Processing wip/py-sot-core-v3:py34-sot-core-v3-3.2.0r1 ===> Cleaning temporary files for py34-sot-core-v3-3.2.0r1 ===> Bulk building for py34-sot-core-v3-3.2.0r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-sot-core-v3-3.2.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-sot-core-v3-3.2.0r1 ===> Done bulk for py34-sot-core-v3-3.2.0r1 [82%] Processing wip/py-sot-core-v3:py35-sot-core-v3-3.2.0r1 ===> Cleaning temporary files for py35-sot-core-v3-3.2.0r1 ===> Bulk building for py35-sot-core-v3-3.2.0r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-sot-core-v3-3.2.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-sot-core-v3-3.2.0r1 ===> Done bulk for py35-sot-core-v3-3.2.0r1 [82%] Processing wip/py-sot-core-v3:py36-sot-core-v3-3.2.0r1 ===> Cleaning temporary files for py36-sot-core-v3-3.2.0r1 ===> Bulk building for py36-sot-core-v3-3.2.0r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-sot-core-v3-3.2.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-core-v3-3.2.0r1 ===> Done bulk for py36-sot-core-v3-3.2.0r1 [82%] Processing wip/py-parametric-curves:py27-parametric-curves-1.2.0 ===> Cleaning temporary files for py27-parametric-curves-1.2.0 ===> Bulk building for py27-parametric-curves-1.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package parametric-curves>=1.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py27-parametric-curves-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-parametric-curves-1.2.0 ===> Done bulk for py27-parametric-curves-1.2.0 [83%] Processing wip/py-parametric-curves:py32-parametric-curves-1.2.0 ===> Cleaning temporary files for py32-parametric-curves-1.2.0 ===> Bulk building for py32-parametric-curves-1.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package parametric-curves>=1.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py32-eigenpy-1.4.4.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py32-parametric-curves-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-parametric-curves-1.2.0 ===> Done bulk for py32-parametric-curves-1.2.0 [83%] Processing wip/py-parametric-curves:py34-parametric-curves-1.2.0 ===> Cleaning temporary files for py34-parametric-curves-1.2.0 ===> Bulk building for py34-parametric-curves-1.2.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-parametric-curves-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-parametric-curves-1.2.0 ===> Done bulk for py34-parametric-curves-1.2.0 [84%] Processing wip/py-parametric-curves:py35-parametric-curves-1.2.0 ===> Cleaning temporary files for py35-parametric-curves-1.2.0 ===> Bulk building for py35-parametric-curves-1.2.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-parametric-curves-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-parametric-curves-1.2.0 ===> Done bulk for py35-parametric-curves-1.2.0 [84%] Processing wip/py-parametric-curves:py36-parametric-curves-1.2.0 ===> Cleaning temporary files for py36-parametric-curves-1.2.0 ===> Bulk building for py36-parametric-curves-1.2.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-parametric-curves-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-parametric-curves-1.2.0 ===> Done bulk for py36-parametric-curves-1.2.0 [84%] Processing wip/sot-hrp2:sot-hrp2-1.1.2 ===> Cleaning temporary files for sot-hrp2-1.1.2 ===> Bulk building for sot-hrp2-1.1.2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-2.5.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mathtools-1.5.2r3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mal-1.19.6r1%7ejrl-mathtools.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-2.0.9r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-msgs-0.2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-dynamics-1.25.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-dynamics-urdf-2.2.0r3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-2.5.6r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/sot-core-2.9.10.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/sot-dynamic-2.9.2.tgz => Dependency dynamic-graph-bridge-msgs-0.2.0 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hrp2-14-1.9.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/hrp2-14-description-1.0.5.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/hrp2-bringup-1.0.6.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/hrp2-computer-monitor-1.0.2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/hrp2-machine-1.0.2.tgz => Dependency hrp2-computer-monitor-1.0.2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hrp2-dynamics-1.5.3.tgz => Dependency hrp2-machine-1.0.2 already installed => Dependency jrl-mal-1.19.6r1~jrl-mathtools already installed => Dependency py27-dynamic-graph-2.5.6r2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-application-1.0.0r3.tgz => Dependency py27-sot-tools-1.0.1 already installed => Dependency sot-core-2.9.10 already installed => Dependency sot-dynamic-2.9.2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dyninv-2.0.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/soth-2.0.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/sot-pattern-generator-2.9.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-walkgen-3.2.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros hydro: ros>=groovy ros>=hydro provided by ros-hydro => Required system package bullet>=2.75: bullet-2.80 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package ros-comm>=1.10<1.11: ros-comm-1.10.12 found => Required system package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required system package ros-realtime-tools>=1.8.2: ros-realtime-tools-1.8.3 found => Required system package ros-std-msgs>=0.5: ros-std-msgs-0.5.8 found => Required robotpkg package dynamic-graph>=2.5.6: dynamic-graph-2.5.7 found => Required robotpkg package dynamic-graph-bridge>=1.0.0: dynamic-graph-bridge-2.0.9r1 found => Required robotpkg package dynamic-graph-bridge-msgs>=0.2.0: dynamic-graph-bridge-msgs-0.2.0 found => Required robotpkg package hrp2-14>=1.7.5: hrp2-14-1.9.3 found => Required robotpkg package hrp2-14-description>=1.0.0: hrp2-14-description-1.0.5 found => Required robotpkg package hrp2-bringup>=1.0.0: hrp2-bringup-1.0.6 found => Required robotpkg package hrp2-computer-monitor>=1.0.0: hrp2-computer-monitor-1.0.2 found => Required robotpkg package hrp2-dynamics>=1.5: hrp2-dynamics-1.5.3 found => Required robotpkg package hrp2-machine>=1.0.0: hrp2-machine-1.0.2 found => Required robotpkg package jrl-mal>=1.8.3: jrl-mal-1.19.6r1~jrl-mathtools found => Required robotpkg package py27-dynamic-graph>=2.5: py27-dynamic-graph-2.5.6r2 found => Required robotpkg package py27-sot-application>=1.0.0: py27-sot-application-1.0.0r3 found => Required robotpkg package py27-sot-tools>=1.0: py27-sot-tools-1.0.1 found => Required robotpkg package sot-core>=2.5: sot-core-2.9.10 found => Required robotpkg package sot-dynamic>=2.5: sot-dynamic-2.9.2 found => Required robotpkg package sot-dyninv>=2.0.0: sot-dyninv-2.0.0r1 found => Required robotpkg package sot-pattern-generator>=2.7: sot-pattern-generator-2.9.1 found => SHA1 checksums OK => RMD160 checksums OK => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for sot-hrp2-1.1.2 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for sot-hrp2-1.1.2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-hrp2-1.1.2 ===> Done bulk for sot-hrp2-1.1.2 [85%] Processing wip/py-sot-torque-control:py27-sot-torque-control-1.1.0 ===> Cleaning temporary files for py27-sot-torque-control-1.1.0 ===> Bulk building for py27-sot-torque-control-1.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz ERROR: Required robotpkg package parametric-curves>=1.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz ERROR: Required robotpkg package py27-parametric-curves>=1.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-pinocchio-1.2.9.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/simple-humanoid-description-1.0.1.tgz => Dependency sot-core-v3-3.2.0r1 already installed => Required robotpkg package sot-torque-control>=1.0.0: N/A => Dependency tnftp-20130505~ssl already installed => Required robotpkg package tsid>=1.0.0: N/A => Dependency urdfdom-0.3.0r2 already installed ===> Logging bulk summary for py27-sot-torque-control-1.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-torque-control-1.1.0 ===> Done bulk for py27-sot-torque-control-1.1.0 [85%] Processing wip/py-sot-torque-control:py32-sot-torque-control-1.1.0 ===> Cleaning temporary files for py32-sot-torque-control-1.1.0 ===> Bulk building for py32-sot-torque-control-1.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz ERROR: Required robotpkg package parametric-curves>=1.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz ERROR: Required robotpkg package py32-dynamic-graph-v3>=3.0: BROKEN ERROR: Required robotpkg package py32-parametric-curves>=1.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py32-pinocchio-1.2.9.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py32-eigenpy-1.4.4.tgz ERROR: Required robotpkg package py32-sot-core-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/simple-humanoid-description-1.0.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Required robotpkg package sot-torque-control>=1.0.0: N/A => Dependency tnftp-20130505~ssl already installed => Required robotpkg package tsid>=1.0.0: N/A => Dependency urdfdom-0.3.0r2 already installed ===> Logging bulk summary for py32-sot-torque-control-1.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-sot-torque-control-1.1.0 ===> Done bulk for py32-sot-torque-control-1.1.0 [86%] Processing wip/py-sot-torque-control:py34-sot-torque-control-1.1.0 ===> Cleaning temporary files for py34-sot-torque-control-1.1.0 ===> Bulk building for py34-sot-torque-control-1.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-sot-torque-control-1.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-sot-torque-control-1.1.0 ===> Done bulk for py34-sot-torque-control-1.1.0 [86%] Processing wip/py-sot-torque-control:py35-sot-torque-control-1.1.0 ===> Cleaning temporary files for py35-sot-torque-control-1.1.0 ===> Bulk building for py35-sot-torque-control-1.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-sot-torque-control-1.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-sot-torque-control-1.1.0 ===> Done bulk for py35-sot-torque-control-1.1.0 [86%] Processing wip/py-sot-torque-control:py36-sot-torque-control-1.1.0 ===> Cleaning temporary files for py36-sot-torque-control-1.1.0 ===> Bulk building for py36-sot-torque-control-1.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-sot-torque-control-1.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-torque-control-1.1.0 ===> Done bulk for py36-sot-torque-control-1.1.0 [87%] Processing wip/sot-pattern-generator-v3:sot-pattern-generator-v3-3.1.0 ===> Cleaning temporary files for sot-pattern-generator-v3-3.1.0 ===> Bulk building for sot-pattern-generator-v3-3.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-walkgen-v3-4.0.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mathtools-1.5.2r3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mal-1.19.6r1%7ejrl-mathtools.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/qpOASES-3.2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/simple-humanoid-description-1.0.1.tgz => Dependency pinocchio-1.2.9r2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Dependency urdfdom-0.3.0r2 already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package jrl-walkgen-v3>=4.0.0: jrl-walkgen-v3-4.0.1 found => Required robotpkg package pinocchio>=1.2.8: pinocchio-1.2.9r2 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r1 found => Required robotpkg package urdfdom>=0.2.8<1: urdfdom-0.3.0r2 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Registering installation for sot-pattern-generator-v3-3.1.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for sot-pattern-generator-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-pattern-generator-v3-3.1.0 ===> Done bulk for sot-pattern-generator-v3-3.1.0 [87%] Processing wip/py-sot-tools-v3:py27-sot-tools-v3-2.1.0 ===> Cleaning temporary files for py27-sot-tools-v3-2.1.0 ===> Bulk building for py27-sot-tools-v3-2.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Dependency sot-core-v3-3.2.0r1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package py27-numpy>=1: py27-numpy-1.6.1 found => Required system package py-sphinx>=1.1: py-sphinx-1.1.3 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package py27-sot-core-v3>=3.0.0: py27-sot-core-v3-3.2.0r1 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r1 found => Required robotpkg package sot-tools-v3>=2.0: sot-tools-v3-2.1.0 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for py27-sot-tools-v3-2.1.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: couldn't entirely delete package `sot-tools-v3-2.1.0' ===> Logging bulk summary for py27-sot-tools-v3-2.1.0 => Checking leftover files WARNING: 1 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-tools-v3-2.1.0 ===> Done bulk for py27-sot-tools-v3-2.1.0 [88%] Processing wip/py-sot-tools-v3:py32-sot-tools-v3-2.1.0 ===> Cleaning temporary files for py32-sot-tools-v3-2.1.0 ===> Bulk building for py32-sot-tools-v3-2.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package py32-sot-core-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py32-sot-tools-v3-2.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-sot-tools-v3-2.1.0 ===> Done bulk for py32-sot-tools-v3-2.1.0 [88%] Processing wip/py-sot-tools-v3:py34-sot-tools-v3-2.1.0 ===> Cleaning temporary files for py34-sot-tools-v3-2.1.0 ===> Bulk building for py34-sot-tools-v3-2.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-sot-tools-v3-2.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-sot-tools-v3-2.1.0 ===> Done bulk for py34-sot-tools-v3-2.1.0 [88%] Processing wip/py-sot-tools-v3:py35-sot-tools-v3-2.1.0 ===> Cleaning temporary files for py35-sot-tools-v3-2.1.0 ===> Bulk building for py35-sot-tools-v3-2.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-sot-tools-v3-2.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-sot-tools-v3-2.1.0 ===> Done bulk for py35-sot-tools-v3-2.1.0 [89%] Processing wip/py-sot-tools-v3:py36-sot-tools-v3-2.1.0 ===> Cleaning temporary files for py36-sot-tools-v3-2.1.0 ===> Bulk building for py36-sot-tools-v3-2.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-sot-tools-v3-2.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-tools-v3-2.1.0 ===> Done bulk for py36-sot-tools-v3-2.1.0 [89%] Processing wip/sot-hrp2-v3:sot-hrp2-v3-2.1.0 ===> Cleaning temporary files for sot-hrp2-v3-2.1.0 ===> Bulk building for sot-hrp2-v3-2.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-msgs-0.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz ERROR: Required robotpkg package py27-dynamic-graph-bridge-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-tools-v3-2.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz => Dependency sot-core-v3-3.2.0r1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dynamic-pinocchio-v3-3.2.2r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for sot-hrp2-v3-2.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-hrp2-v3-2.1.0 ===> Done bulk for sot-hrp2-v3-2.1.0 [90%] Processing wip/py-sot-dynamic-pinocchio-v3:py27-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Cleaning temporary files for py27-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Bulk building for py27-sot-dynamic-pinocchio-v3-3.2.2r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-pinocchio-1.2.9.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-tools-v3-2.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz => Dependency sot-core-v3-3.2.0r1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dynamic-pinocchio-v3-3.2.2r2.tgz => Dependency sot-tools-v3-2.1.0 already installed => Dependency tnftp-20130505~ssl already installed => Dependency urdfdom-0.3.0r2 already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package pinocchio>=1.2.8: pinocchio-1.2.9r2 found => Required robotpkg package py27-pinocchio: py27-pinocchio-1.2.9 found => Required robotpkg package py27-sot-core-v3>=3.0.0: py27-sot-core-v3-3.2.0r1 found => Required robotpkg package py27-sot-tools-v3>=2.0: py27-sot-tools-v3-2.1.0 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r1 found => Required robotpkg package sot-dynamic-pinocchio-v3>=3.1.1: sot-dynamic-pinocchio-v3-3.2.2r2 found => Required robotpkg package sot-tools-v3>=2.0: sot-tools-v3-2.1.0 found => Required robotpkg package urdfdom>=0.2.8<1: urdfdom-0.3.0r2 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for py27-sot-dynamic-pinocchio-v3-3.2.2r1 => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for py27-sot-dynamic-pinocchio-v3-3.2.2r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: couldn't entirely delete package `sot-dynamic-pinocchio-v3-3.2.2r2' ===> Logging bulk summary for py27-sot-dynamic-pinocchio-v3-3.2.2r1 => Checking leftover files WARNING: 78 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Done bulk for py27-sot-dynamic-pinocchio-v3-3.2.2r1 [90%] Processing wip/py-sot-dynamic-pinocchio-v3:py32-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Cleaning temporary files for py32-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Bulk building for py32-sot-dynamic-pinocchio-v3-3.2.2r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package patch>=2.0: patch-2.6.1 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py32-pinocchio-1.2.9.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py32-eigenpy-1.4.4.tgz ERROR: Required robotpkg package py32-sot-core-v3>=3.0.0: BROKEN ERROR: Required robotpkg package py32-sot-tools-v3>=2.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dynamic-pinocchio-v3-3.2.2r2.tgz robotpkg_add: Package `py27-eigenpy-1.4.4' conflicts with `py[0-9][0-9]-eigenpy-[0-9]*', and `py32-eigenpy-1.4.4' is installed. robotpkg_add: Installed package `py32-eigenpy-1.4.4' conflicts with `py[0-9][0-9]-eigenpy-[0-9]*' when trying to install `py27-eigenpy-1.4.4'. robotpkg_add: Can't install dependency py27-eigenpy>=1.4.1 robotpkg_add: 1 package addition failed Package `urdfdom-0.3.0r2' is still required by other packages: pinocchio-1.2.9r2 py32-pinocchio-1.2.9 Package `octomap-1.6.1' is still required by other packages: hpp-fcl-0.6.0 Package `console-bridge-0.2.7' is still required by other packages: urdfdom-0.3.0r2 Package `libccd-2.0' is still required by other packages: hpp-fcl-0.6.0 Package `urdfdom-headers-0.3.0' is still required by other packages: urdfdom-0.3.0r2 Package `dynamic-graph-v3-3.1.0' is still required by other packages: sot-core-v3-3.2.0r1 Package `py32-eigenpy-1.4.4' is still required by other packages: py32-pinocchio-1.2.9 => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Dependency urdfdom-0.3.0r2 already installed ===> Logging bulk summary for py32-sot-dynamic-pinocchio-v3-3.2.2r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Done bulk for py32-sot-dynamic-pinocchio-v3-3.2.2r1 [90%] Processing wip/py-sot-dynamic-pinocchio-v3:py34-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Cleaning temporary files for py34-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Bulk building for py34-sot-dynamic-pinocchio-v3-3.2.2r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-sot-dynamic-pinocchio-v3-3.2.2r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Done bulk for py34-sot-dynamic-pinocchio-v3-3.2.2r1 [91%] Processing wip/py-sot-dynamic-pinocchio-v3:py35-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Cleaning temporary files for py35-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Bulk building for py35-sot-dynamic-pinocchio-v3-3.2.2r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-sot-dynamic-pinocchio-v3-3.2.2r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Done bulk for py35-sot-dynamic-pinocchio-v3-3.2.2r1 [91%] Processing wip/py-sot-dynamic-pinocchio-v3:py36-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Cleaning temporary files for py36-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Bulk building for py36-sot-dynamic-pinocchio-v3-3.2.2r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-sot-dynamic-pinocchio-v3-3.2.2r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-dynamic-pinocchio-v3-3.2.2r1 ===> Done bulk for py36-sot-dynamic-pinocchio-v3-3.2.2r1 [92%] Processing wip/openhrp3-hrp2:openhrp3-hrp2-1.2.0 ===> Cleaning temporary files for openhrp3-hrp2-1.2.0 ===> Bulk building for openhrp3-hrp2-1.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hrp2-14-1.9.3.tgz ERROR: Required robotpkg package openhrp3-simulator-wo-rtm>=1.0.0: BROKEN ERROR: Required robotpkg package py27-dynamic-graph-bridge-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-hrp2-v3-2.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-msgs-0.2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dynamic-pinocchio-v3-3.2.2r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-v3-3.0.9.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-tools-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Dependency urdfdom-0.3.0r2 already installed ===> Logging bulk summary for openhrp3-hrp2-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for openhrp3-hrp2-1.2.0 ===> Done bulk for openhrp3-hrp2-1.2.0 [92%] Processing wip/py-sot-dyninv-v3:py27-sot-dyninv-v3-3.1.0r1 ===> Cleaning temporary files for py27-sot-dyninv-v3-3.1.0r1 ===> Bulk building for py27-sot-dyninv-v3-3.1.0r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Dependency sot-core-v3-3.2.0r1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dyninv-v3-3.1.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/soth-2.0.3.tgz => Dependency soth-2.0.3 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.1.0 found => Required robotpkg package py27-dynamic-graph-v3>=3.0: py27-dynamic-graph-v3-3.1.0 found => Required robotpkg package py27-sot-core-v3>=3.0.0: py27-sot-core-v3-3.2.0r1 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r1 found => Required robotpkg package sot-dyninv-v3>=2.0.0: sot-dyninv-v3-3.1.0r1 found => Required robotpkg package soth>=2.0.0: soth-2.0.3 found => SHA1 checksums OK => RMD160 checksums OK => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for py27-sot-dyninv-v3-3.1.0r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: couldn't entirely delete package `sot-dyninv-v3-3.1.0r1' ===> Logging bulk summary for py27-sot-dyninv-v3-3.1.0r1 => Checking leftover files WARNING: 176 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-dyninv-v3-3.1.0r1 ===> Done bulk for py27-sot-dyninv-v3-3.1.0r1 [92%] Processing wip/py-sot-dyninv-v3:py32-sot-dyninv-v3-3.1.0r1 ===> Cleaning temporary files for py32-sot-dyninv-v3-3.1.0r1 ===> Bulk building for py32-sot-dyninv-v3-3.1.0r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz ERROR: Required robotpkg package py32-dynamic-graph-v3>=3.0: BROKEN ERROR: Required robotpkg package py32-sot-core-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dyninv-v3-3.1.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/soth-2.0.3.tgz => Dependency soth-2.0.3 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py32-sot-dyninv-v3-3.1.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-sot-dyninv-v3-3.1.0r1 ===> Done bulk for py32-sot-dyninv-v3-3.1.0r1 [93%] Processing wip/py-sot-dyninv-v3:py34-sot-dyninv-v3-3.1.0r1 ===> Cleaning temporary files for py34-sot-dyninv-v3-3.1.0r1 ===> Bulk building for py34-sot-dyninv-v3-3.1.0r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-sot-dyninv-v3-3.1.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-sot-dyninv-v3-3.1.0r1 ===> Done bulk for py34-sot-dyninv-v3-3.1.0r1 [93%] Processing wip/py-sot-dyninv-v3:py35-sot-dyninv-v3-3.1.0r1 ===> Cleaning temporary files for py35-sot-dyninv-v3-3.1.0r1 ===> Bulk building for py35-sot-dyninv-v3-3.1.0r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-sot-dyninv-v3-3.1.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-sot-dyninv-v3-3.1.0r1 ===> Done bulk for py35-sot-dyninv-v3-3.1.0r1 [94%] Processing wip/py-sot-dyninv-v3:py36-sot-dyninv-v3-3.1.0r1 ===> Cleaning temporary files for py36-sot-dyninv-v3-3.1.0r1 ===> Bulk building for py36-sot-dyninv-v3-3.1.0r1 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-sot-dyninv-v3-3.1.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-dyninv-v3-3.1.0r1 ===> Done bulk for py36-sot-dyninv-v3-3.1.0r1 [94%] Processing wip/py-sot-application-v3:py27-sot-application-v3-1.2.0r2 ===> Cleaning temporary files for py27-sot-application-v3-1.2.0r2 ===> Bulk building for py27-sot-application-v3-1.2.0r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-dynamic-pinocchio-v3-3.2.2r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-pinocchio-1.2.9.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-tools-v3-2.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dynamic-pinocchio-v3-3.2.2r2.tgz => Dependency sot-dynamic-pinocchio-v3-3.2.2r2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dyninv-v3-3.1.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/soth-2.0.3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package graphviz>=2: graphviz-2.26.3 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required robotpkg package py27-sot-dynamic-pinocchio-v3>=3.1.1: py27-sot-dynamic-pinocchio-v3-3.2.2r1 found => Required robotpkg package sot-dynamic-pinocchio-v3>=3.1.1: sot-dynamic-pinocchio-v3-3.2.2r2 found => Required robotpkg package sot-dyninv-v3>=2.0.0: sot-dyninv-v3-3.1.0r1 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for py27-sot-application-v3-1.2.0r2 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages ===> Logging bulk summary for py27-sot-application-v3-1.2.0r2 => Checking leftover files WARNING: 3 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-application-v3-1.2.0r2 ===> Done bulk for py27-sot-application-v3-1.2.0r2 [94%] Processing wip/py-sot-application-v3:py32-sot-application-v3-1.2.0r2 ===> Cleaning temporary files for py32-sot-application-v3-1.2.0r2 ===> Bulk building for py32-sot-application-v3-1.2.0r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Required robotpkg package py32-sot-dynamic-pinocchio-v3>=3.1.1: N/A => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dynamic-pinocchio-v3-3.2.2r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dyninv-v3-3.1.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/soth-2.0.3.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py32-sot-application-v3-1.2.0r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-sot-application-v3-1.2.0r2 ===> Done bulk for py32-sot-application-v3-1.2.0r2 [95%] Processing wip/py-sot-application-v3:py34-sot-application-v3-1.2.0r2 ===> Cleaning temporary files for py34-sot-application-v3-1.2.0r2 ===> Bulk building for py34-sot-application-v3-1.2.0r2 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-sot-application-v3-1.2.0r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-sot-application-v3-1.2.0r2 ===> Done bulk for py34-sot-application-v3-1.2.0r2 [95%] Processing wip/py-sot-application-v3:py35-sot-application-v3-1.2.0r2 ===> Cleaning temporary files for py35-sot-application-v3-1.2.0r2 ===> Bulk building for py35-sot-application-v3-1.2.0r2 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-sot-application-v3-1.2.0r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-sot-application-v3-1.2.0r2 ===> Done bulk for py35-sot-application-v3-1.2.0r2 [96%] Processing wip/py-sot-application-v3:py36-sot-application-v3-1.2.0r2 ===> Cleaning temporary files for py36-sot-application-v3-1.2.0r2 ===> Bulk building for py36-sot-application-v3-1.2.0r2 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-sot-application-v3-1.2.0r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-application-v3-1.2.0r2 ===> Done bulk for py36-sot-application-v3-1.2.0r2 [96%] Processing wip/roscontrol-sot:roscontrol-sot-0.0.3r1 ===> Cleaning temporary files for roscontrol-sot-0.0.3r1 ===> Bulk building for roscontrol-sot-0.0.3r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-msgs-0.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/pal-hardware-interfaces-0.0.3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/prf-ros-control-0.2.6r3.tgz => Dependency prf-ros-control-0.2.6r3 already installed ERROR: Required robotpkg package py27-dynamic-graph-bridge-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dynamic-pinocchio-v3-3.2.2r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for roscontrol-sot-0.0.3r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for roscontrol-sot-0.0.3r1 ===> Done bulk for roscontrol-sot-0.0.3r1 [96%] Processing wip/py-sot-pattern-generator-v3:py27-sot-pattern-generator-v3-3.1.0 ===> Cleaning temporary files for py27-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py27-sot-pattern-generator-v3-3.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-walkgen-v3-4.0.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mathtools-1.5.2r3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mal-1.19.6r1%7ejrl-mathtools.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/qpOASES-3.2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/simple-humanoid-description-1.0.1.tgz => Dependency pinocchio-1.2.9r2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz => Dependency sot-core-v3-3.2.0r1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-pattern-generator-v3-3.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Dependency urdfdom-0.3.0r2 already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package boost-headers>=1.34.1: boost-headers-1.46.1 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-math>=1.34.1: boost-libs-1.46.1 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.46.1 found => Required system package cmake>=2.6: cmake-2.8.7 found => Required system package doxygen>=1.5: doxygen-1.7.6.1 found => Required system package eigen3>=3.0.0: eigen3-3.0.5 found => Required system package g++>=3: g++-4.6 found => Required system package gcc>=3: gcc-4.6 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.26 found => Required system package python27>=2.7<2.8: python27-2.7.3 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package jrl-walkgen-v3>=4.0.0: jrl-walkgen-v3-4.0.1 found => Required robotpkg package pinocchio>=1.2.8: pinocchio-1.2.9r2 found => Required robotpkg package py27-sot-core-v3>=3.0.0: py27-sot-core-v3-3.2.0r1 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r1 found => Required robotpkg package sot-pattern-generator-v3>=2.10: sot-pattern-generator-v3-3.1.0 found => Required robotpkg package urdfdom>=0.2.8<1: urdfdom-0.3.0r2 found => SHA1 checksums OK => RMD160 checksums OK => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for py27-sot-pattern-generator-v3-3.1.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/pub => Updating debian binary packages robotpkg_delete: couldn't entirely delete package `sot-pattern-generator-v3-3.1.0' ===> Logging bulk summary for py27-sot-pattern-generator-v3-3.1.0 => Checking leftover files WARNING: 108 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-pattern-generator-v3-3.1.0 ===> Done bulk for py27-sot-pattern-generator-v3-3.1.0 [97%] Processing wip/py-sot-pattern-generator-v3:py32-sot-pattern-generator-v3-3.1.0 ===> Cleaning temporary files for py32-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py32-sot-pattern-generator-v3-3.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-walkgen-v3-4.0.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mathtools-1.5.2r3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/jrl-mal-1.19.6r1%7ejrl-mathtools.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/qpOASES-3.2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/simple-humanoid-description-1.0.1.tgz => Dependency pinocchio-1.2.9r2 already installed ERROR: Required robotpkg package py32-sot-core-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-pattern-generator-v3-3.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Dependency urdfdom-0.3.0r2 already installed ===> Logging bulk summary for py32-sot-pattern-generator-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-sot-pattern-generator-v3-3.1.0 ===> Done bulk for py32-sot-pattern-generator-v3-3.1.0 [97%] Processing wip/py-sot-pattern-generator-v3:py34-sot-pattern-generator-v3-3.1.0 ===> Cleaning temporary files for py34-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py34-sot-pattern-generator-v3-3.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py34-sot-pattern-generator-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-sot-pattern-generator-v3-3.1.0 ===> Done bulk for py34-sot-pattern-generator-v3-3.1.0 [98%] Processing wip/py-sot-pattern-generator-v3:py35-sot-pattern-generator-v3-3.1.0 ===> Cleaning temporary files for py35-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py35-sot-pattern-generator-v3-3.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py35-sot-pattern-generator-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-sot-pattern-generator-v3-3.1.0 ===> Done bulk for py35-sot-pattern-generator-v3-3.1.0 [98%] Processing wip/py-sot-pattern-generator-v3:py36-sot-pattern-generator-v3-3.1.0 ===> Cleaning temporary files for py36-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py36-sot-pattern-generator-v3-3.1.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python32 ERROR: ERROR: Suggested value: python36 ERROR: ERROR: ====================================================================== make[2]: *** [cbbh] Error 2 ===> Logging bulk summary for py36-sot-pattern-generator-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-pattern-generator-v3-3.1.0 ===> Done bulk for py36-sot-pattern-generator-v3-3.1.0 [98%] Processing wip/sot-talos:sot-talos-1.0.1 ===> Cleaning temporary files for sot-talos-1.0.1 ===> Bulk building for sot-talos-1.0.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-msgs-0.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz ERROR: Required robotpkg package py27-dynamic-graph-bridge-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-application-v3-1.2.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-pinocchio-1.2.9.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-tools-v3-2.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dynamic-pinocchio-v3-3.2.2r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-dynamic-pinocchio-v3-3.2.2r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/soth-2.0.3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dyninv-v3-3.1.0r1.tgz => Dependency py27-sot-dynamic-pinocchio-v3-3.2.2r1 already installed => Dependency py27-sot-tools-v3-2.1.0 already installed => Dependency sot-core-v3-3.2.0r1 already installed => Dependency sot-dynamic-pinocchio-v3-3.2.2r2 already installed => Dependency sot-dyninv-v3-3.1.0r1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/talos-data-0.0.19.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for sot-talos-1.0.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-talos-1.0.1 ===> Done bulk for sot-talos-1.0.1 [99%] Processing wip/hrp2-dev:hrp2-dev-20171009 ===> Cleaning temporary files for hrp2-dev-20171009 ===> Bulk building for hrp2-dev-20171009 => Checking for clear installation => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/hrp2-14-description-1.0.5.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz ERROR: Required robotpkg package openhrp3-hrp2>=1.0.0: BROKEN ===> Logging bulk summary for hrp2-dev-20171009 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hrp2-dev-20171009 ===> Done bulk for hrp2-dev-20171009 [99%] Processing wip/talos-dev:talos-dev-20171009 ===> Cleaning temporary files for talos-dev-20171009 ===> Bulk building for talos-dev-20171009 => Checking for clear installation => Required system package gnupg>=1: gnupg-1.4.11 found => Required system package gzip: gzip-1.4 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.4: pkgrepo2deb-1.4 found ERROR: Required robotpkg package prf-gazebo-ros-pkgs>=2.6.5: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-talos-0.0.4.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-msgs-0.2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-dynamic-graph-v3-3.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/libccd-2.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/octomap-1.6.1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/hpp-fcl-0.6.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/console-bridge-0.2.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-headers-0.3.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/urdfdom-0.3.0r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/pinocchio-1.2.9r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-12.04-i386/All/py27-eigenpy-1.4.4.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-tools-v3-2.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dynamic-pinocchio-v3-3.2.2r2.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/dynamic-graph-bridge-v3-3.0.9.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-core-v3-3.2.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/py27-sot-tools-v3-2.1.0.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/soth-2.0.3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-dyninv-v3-3.1.0r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/sot-application-v3-1.1.3r1.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/talos-data-0.0.19.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/talos-metapkg-ros-control-sot-0.0.7.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/talos-pal-hardware-interfaces-0.0.3.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/talos-ros-control-0.2.10.tgz Trying to reconnect file:///opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Ubuntu-12.04-i386/All/talos-ros-controllers-0.2.11.tgz => Required robotpkg package talos-simulation>=0.0.13: N/A ===> Logging bulk summary for talos-dev-20171009 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for talos-dev-20171009 ===> Done bulk for talos-dev-20171009 ===> Done bulk for rbulk wip set 12591.66user 2444.68system 2:24:19elapsed 173%CPU (0avgtext+0avgdata 3842048maxresident)k 3022960inputs+19533064outputs (1003major+191388037minor)pagefaults 0swaps --- Updating bulk database --------------------------------------- Collecting session logs in /local/robotpkg/var/log/bulk updated hrp2-bringup-1.0.6 updated talos-data-0.0.19 updated histodet-1.0r2 updated infuse-novatel-gps-driver-ros-0.1.0 updated py27-example-adder-1.0.0 updated py32-dynamic-graph-v3-3.1.0 updated py35-morse-1.4 updated py32-example-adder-1.0.0 updated py32-sot-dyninv-v3-3.1.0r1 updated sot-dyninv-2.0.0r1 updated py34-morse-1.4 updated sot-dynamic-pinocchio-v3-3.2.2r2 updated py35-sot-pattern-generator-v3-3.1.0 updated py36-example-adder-1.0.0 updated py36-mavlink-1.1.62 updated py27-sot-dyninv-v3-3.1.0r1 updated py36-jsbsim-20150424r1 updated py34-dynamic-graph-v3-3.1.0 updated simple-humanoid-description-1.0.1 updated py35-sot-dyninv-v3-3.1.0r1 updated prf-gazebo-ros-pkgs-2.6.7r4 updated gdalwrap-0.1.10 updated mumps-4.10.0 updated hrp2-14-description-1.0.5 updated FRILibrary-1.2r1 updated py34-sot-pattern-generator-v3-3.1.0 updated can-utils-2018.02.0 updated py36-dynamic-graph-v3-3.1.0 updated py34-mavlink-1.1.62 updated prf-roboticsgroup-gazebo-plugins-0.1.0 updated py27-sot-dynamic-pinocchio-v3-3.2.2r1 updated backward-ros-0.1.4r3 updated py36-parametric-curves-1.2.0 updated py32-sot-torque-control-1.1.0 updated talos-moveit-config-0.2.6r1 updated infuse-msgs-ros-0.1.0 updated pal-hardware-gazebo-0.1.1r2 updated orocos-bfl-0.8.0 updated libhatp-1.3.0 updated pal-msgs-0.11.3 updated libmove3d-planners-1.4.0 updated morse-mavlink-1.4 updated play-motion-0.4.5 updated talos-metapkg-ros-control-sot-0.0.11 updated py35-example-adder-1.0.0 updated py35-mavlink-1.1.62 updated py36-dynamic-graph-bridge-v3-3.1.1r4 updated py36-sot-tools-v3-2.1.0 updated pal-gazebo-worlds-2.0.8r2 updated octoviz-1.6.1 updated infuse-envire-0.1.1 updated py27-parametric-curves-1.2.0 updated roralink-0.3.0-Source updated sot-core-v3-3.2.0r1 updated py36-rqt-dynamic-graph-1.0.0 updated py32-jsbsim-20150424r1 updated openhrp3-hrp2-1.2.0 updated osg-dae-3.2.1r1 updated tsid-1.0.2r1 updated py35-parametric-curves-1.2.0 updated py34-sot-core-v3-3.2.0r1 updated infuse-asn1-conversions-0.4r1 updated py27-sot-torque-control-1.1.0 updated sot-torque-control-1.1.0 updated urg-0.8.18 updated prf-ros-control-0.2.6r3 updated py27-rqt-dynamic-graph-1.0.0 updated orocos-dot_service-20120308 updated morse-hla-1.4 updated hrp2-computer-monitor-1.0.2 updated py34-jsbsim-20150424r1 updated sot-dyninv-v3-3.1.0r1 updated py36-sot-pattern-generator-v3-3.1.0 updated py32-mavlink-1.1.62 updated py36-morse-1.4 updated tf-lookup-0.0.1r1 updated eigen-quadprog-1.0.0 updated move3d-studio-1.4r3~qtstudio updated py32-sot-application-v3-1.2.0r2 updated py27-sot-pattern-generator-v3-3.1.0 updated libmove3d-hri-2.24 updated talos-simulation-0.1.4r2 updated metapod-1.0.10 updated py35-sot-dynamic-pinocchio-v3-3.2.2r1 updated py36-hla-1.1.1r1 updated head-action-0.0.1r3 updated msgconnector-2.13.0~bridge-print+liboro+openprs+yarp updated ros-swri-string-util-2.3.0 updated py35-sot-tools-v3-2.1.0 updated hrp2-machine-1.0.2 updated infuse-idl-0.1.1 updated py32-hla-1.1.1r1 updated py34-dynamic-graph-bridge-v3-3.1.1r4 updated py34-example-adder-1.0.0 updated sot-hrp2-v3-2.1.0 updated py27-sot-tools-v3-2.1.0 updated ros-swri-math-util-2.3.0 updated talos-dev-20171009 updated ros-swri-serial-util-2.3.0 updated dynamic-introspection-1.0.5 updated orocos-yarp_transport-20150316~doc updated pal-hardware-interfaces-0.0.3 updated py34-sot-dynamic-pinocchio-v3-3.2.2r1 updated py27-jsbsim-20150424r1 updated dptu-genom3-0.2~codels+openprs+pocolibs-client-c+pocolibs-server updated prf-ros-controllers-0.3.5r3 updated py36-sot-torque-control-1.1.0 updated libmove3d-3.22.0r1 updated py32-sot-core-v3-3.2.0r1 updated libnabo-1.0.4 updated parametric-curves-1.2.0 updated mavlink-20150929 updated ur5-description-1.0.1 updated sot-talos-1.0.1 updated py34-sot-application-v3-1.2.0r2 updated dynamic-graph-tutorial-1.1.1 updated move3d-assets-20120125 updated py34-rqt-dynamic-graph-1.0.0 updated py35-sot-application-v3-1.2.0r2 updated py34-hla-1.1.1r1 updated py27-mavlink-1.1.62 updated py27-dynamic-graph-v3-3.1.0 updated pal-transmissions-0.2.2r2 updated py27-sot-core-v3-3.2.0r1 updated py34-parametric-curves-1.2.0 updated ompl-1.0.0 updated py32-sot-pattern-generator-v3-3.1.0 updated py27-hla-1.1.1r1 updated ros-swri-roscpp-2.3.0 updated tiago-robot-0.0.35os1 updated sot-pattern-generator-v3-3.1.0 updated py32-morse-1.4 updated sot-tools-v3-2.1.0 updated py32-rqt-dynamic-graph-1.0.0 updated dynamic-graph-v3-3.1.0 updated py35-dynamic-graph-tutorial-1.1.1 updated gerard-bauzil-1.0.1 updated py32-dynamic-graph-tutorial-1.1.1 updated py27-dynamic-graph-bridge-v3-3.1.1r4 updated py32-sot-dynamic-pinocchio-v3-3.2.2r1 updated infuse-asn1-types-0.3 updated py35-dynamic-graph-v3-3.1.0 updated jsbsim-20150424 updated py27-dynamic-graph-tutorial-1.1.1 updated lua-rfsm-20131212.44fcec2db5r2 updated talos-robot-1.0.2 updated py36-sot-application-v3-1.2.0r2 updated py36-sot-core-v3-3.2.0r1 updated py36-dynamic-graph-tutorial-1.1.1 updated py36-sot-dynamic-pinocchio-v3-3.2.2r1 updated py34-dynamic-graph-tutorial-1.1.1 updated openhrp3-simulator-wo-rtm-1.2.0 updated py34-sot-torque-control-1.1.0 updated pyrene-motions updated pal-gazebo-plugins-1.1.7 updated mraa-1.9.0 updated py35-rqt-dynamic-graph-1.0.0 updated py27-sot-application-v3-1.2.0r2 updated py36-sot-dyninv-v3-3.1.0r1 updated example-adder-1.0.0 updated jrl-walkgen-v3-4.0.3 updated py35-sot-torque-control-1.1.0 updated antlr2-2.7.7 updated py35-dynamic-graph-bridge-v3-3.1.1r4 updated soth-2.0.3 updated certi-3.5.1 updated ros-swri-nodelet-2.3.0 updated py35-sot-core-v3-3.2.0r1 updated morse-ros-1.4 updated py32-dynamic-graph-bridge-v3-3.1.1r4 updated hrp2-dev-20171009 updated dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server updated py34-sot-dyninv-v3-3.1.0r1 updated py35-jsbsim-20150424r1 updated sot-hrp2-1.1.2 updated roscontrol-sot-0.0.3r1 updated hatponboard-lib-3.4.0~enable-goal updated py34-sot-tools-v3-2.1.0 updated py32-sot-tools-v3-2.1.0 updated spark-genom-3.9~mightability+openprs+tcl+tclserv_client updated py35-hla-1.1.1r1 updated py32-parametric-curves-1.2.0 processed 182 packages